This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 492246 - NetworkManager 0.7.0.99-4.git20090324 update fails to start with signal 11
NetworkManager 0.7.0.99-4.git20090324 update fails to start with signal 11
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
10
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
: 492493 492508 492514 492538 492559 492620 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-25 23:54 EDT by Andy Wang
Modified: 2009-05-12 00:06 EDT (History)
33 users (show)

See Also:
Fixed In Version: 0.7.0.99-5.git20090326.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-27 10:50:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error dump in /var/log/messages (7.70 KB, text/plain)
2009-03-25 23:54 EDT, Andy Wang
no flags Details
Error log (13.72 KB, text/plain)
2009-03-26 10:17 EDT, Juan Saavedra
no flags Details
Messages file from test with Cisco VPN and VMWare Workstation driver (31.94 KB, text/plain)
2009-03-26 10:31 EDT, Kelvin J. Hill
no flags Details
Error log 2 (15.71 KB, text/plain)
2009-03-26 11:15 EDT, Juan Saavedra
no flags Details

  None (edit)
Description Andy Wang 2009-03-25 23:54:34 EDT
Created attachment 336747 [details]
error dump in /var/log/messages

Description of problem:
After upgrading to NetworkManager-0.7.0.99-4.git20090324 the NetworkManager daemon will not start.  /var/log/messages shows a signal 11 error

Version-Release number of selected component (if applicable):
NetworkManager-0.7.0.99-4.git20090324.fc10

How reproducible:
Every time.

Steps to Reproduce:
1. Upgrade to NetworkManager-0.7.0.99-4.git20090324.fc10
2. reboot or restart NetworkManager daemon

  
Actual results:
Signal 11 in /var/log/messages

Expected results:
NetworkManager daemon running

Additional info:
Downgrading to NetworkManager-0.7.0.99-3.fc10 fixes the problem
Comment 1 Miles Sabin 2009-03-26 07:05:59 EDT
This doesn't appear to be x86_64 specific ... I'm seeing the same segfault on vanilla x86.
Comment 2 Joachim Backes 2009-03-26 07:28:17 EDT
Same on i686 with kernel-2.6.27.19-170.2.35.fc10.i686

Details:

NetworkManager: <WARN>  nm_signal_handler(): Caught signal 11.  Generating backtrace...
Mar 26 07:36:20 eule NetworkManager: ******************* START **********************************
Mar 26 07:36:22 eule NetworkManager: (no debugging symbols found)
Mar 26 07:36:22 eule NetworkManager: (no debugging symbols found)
Mar 26 07:36:22 eule NetworkManager: (no debugging symbols found)
Mar 26 07:36:22 eule NetworkManager: (no debugging symbols found)
Mar 26 07:36:22 eule NetworkManager: (no debugging symbols found)
Mar 26 07:36:22 eule NetworkManager: (no debugging symbols found)
Mar 26 07:36:22 eule NetworkManager: (no debugging symbols found)
Mar 26 07:36:22 eule NetworkManager: (no debugging symbols found)
Mar 26 07:36:22 eule NetworkManager: (no debugging symbols found)
Mar 26 07:36:22 eule NetworkManager: (no debugging symbols found)
Mar 26 07:36:22 eule NetworkManager: (no debugging symbols found)
Mar 26 07:36:22 eule NetworkManager: (no debugging symbols found)
Mar 26 07:36:22 eule NetworkManager: (no debugging symbols found)
Mar 26 07:36:22 eule NetworkManager: (no debugging symbols found)
Mar 26 07:36:23 eule NetworkManager: (no debugging symbols found)
Mar 26 07:36:23 eule NetworkManager: (no debugging symbols found)
Mar 26 07:36:23 eule NetworkManager: (no debugging symbols found)
Mar 26 07:36:23 eule NetworkManager: (no debugging symbols found)
Mar 26 07:36:23 eule NetworkManager: (no debugging symbols found)
Mar 26 07:36:23 eule NetworkManager: (no debugging symbols found)
Mar 26 07:36:23 eule NetworkManager: [Thread debugging using libthread_db enabled]
Mar 26 07:36:23 eule NetworkManager: [New Thread 0xb8032970 (LWP 2132)]
Mar 26 07:36:23 eule NetworkManager: [New Thread 0xb8031b90 (LWP 2229)]
Mar 26 07:36:23 eule NetworkManager: (no debugging symbols found)
Mar 26 07:36:23 eule kernel: Bridge firewalling registered
Mar 26 07:36:23 eule kernel: virbr0: starting userspace STP failed, starting kernel STP
Mar 26 07:36:23 eule NetworkManager: (no debugging symbols found)
Mar 26 07:36:23 eule NetworkManager: (no debugging symbols found)
Mar 26 07:36:23 eule NetworkManager: (no debugging symbols found)
Mar 26 07:36:23 eule NetworkManager: (no debugging symbols found)
Mar 26 07:36:23 eule NetworkManager: (no debugging symbols found)
Mar 26 07:36:23 eule NetworkManager: (no debugging symbols found)
Mar 26 07:36:23 eule NetworkManager: (no debugging symbols found)
Mar 26 07:36:23 eule NetworkManager: 0x0024e416 in __kernel_vsyscall ()
Mar 26 07:36:23 eule NetworkManager: #0  0x0024e416 in __kernel_vsyscall ()
Mar 26 07:36:23 eule NetworkManager: #1  0x009570db in waitpid () from /lib/libpthread.so.0
Mar 26 07:36:23 eule NetworkManager: #2  0x08075c73 in nm_logging_backtrace ()
Mar 26 07:36:23 eule NetworkManager: #3  0x08070395 in ?? ()
Mar 26 07:36:23 eule NetworkManager: #4  <signal handler called>
Mar 26 07:36:23 eule NetworkManager: #5  0x0806de9a in ?? ()
Mar 26 07:36:23 eule NetworkManager: #6  0x08077e98 in ?? ()
Mar 26 07:36:23 eule NetworkManager: #7  0x08086fd1 in _nm_marshal_VOID__STRING_STRING_POINTER_POINTER ()
Mar 26 07:36:23 eule NetworkManager: #8  0x0069d1fb in g_closure_invoke () from /lib/libgobject-2.0.so.0
Mar 26 07:36:23 eule NetworkManager: #9  0x006b3655 in ?? () from /lib/libgobject-2.0.so.0
Mar 26 07:36:23 eule NetworkManager: #10 0x006b4d6c in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
Mar 26 07:36:23 eule NetworkManager: #11 0x006b51e6 in g_signal_emit () from /lib/libgobject-2.0.so.0
Mar 26 07:36:23 eule NetworkManager: #12 0x0806b917 in ?? ()
Mar 26 07:36:23 eule NetworkManager: #13 0x068ce479 in ?? () from /usr/lib/libhal.so.1
Mar 26 07:36:23 eule NetworkManager: #14 0x00d93175 in dbus_connection_dispatch () from /lib/libdbus-1.so.3
Mar 26 07:36:23 eule NetworkManager: #15 0x0072f08d in ?? () from /usr/lib/libdbus-glib-1.so.2
Mar 26 07:36:23 eule NetworkManager: #16 0x009d0238 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
Mar 26 07:36:23 eule NetworkManager: #17 0x009d38e3 in ?? () from /lib/libglib-2.0.so.0
Mar 26 07:36:23 eule NetworkManager: #18 0x009d3e02 in g_main_loop_run () from /lib/libglib-2.0.so.0
Mar 26 07:36:23 eule NetworkManager: #19 0x08070b94 in main ()
Mar 26 07:36:23 eule NetworkManager:
Mar 26 07:36:23 eule NetworkManager: Thread 2 (Thread 0xb8031b90 (LWP 2229)):
Mar 26 07:36:23 eule NetworkManager: #0  0x0024e416 in __kernel_vsyscall ()
Mar 26 07:36:23 eule NetworkManager: No symbol table info available.
Mar 26 07:36:23 eule NetworkManager: #1  0x0095619b in read () from /lib/libpthread.so.0
Mar 26 07:36:23 eule NetworkManager: No symbol table info available.
Mar 26 07:36:23 eule NetworkManager: #2  0x009d117d in ?? () from /lib/libglib-2.0.so.0
Mar 26 07:36:23 eule NetworkManager: No symbol table info available.
Mar 26 07:36:23 eule NetworkManager: #3  0x009fac8f in ?? () from /lib/libglib-2.0.so.0
Mar 26 07:36:23 eule NetworkManager: No symbol table info available.
Mar 26 07:36:23 eule NetworkManager: #4  0x0094f51f in start_thread () from /lib/libpthread.so.0
Mar 26 07:36:23 eule NetworkManager: No symbol table info available.
Mar 26 07:36:23 eule NetworkManager: #5  0x0088504e in clone () from /lib/libc.so.6
Mar 26 07:36:23 eule NetworkManager: No symbol table info available.
Mar 26 07:36:23 eule NetworkManager:
Mar 26 07:36:23 eule NetworkManager: Thread 1 (Thread 0xb8032970 (LWP 2132)):
Mar 26 07:36:23 eule NetworkManager: #0  0x0024e416 in __kernel_vsyscall ()
Mar 26 07:36:23 eule NetworkManager: No symbol table info available.
Mar 26 07:36:23 eule NetworkManager: #1  0x009570db in waitpid () from /lib/libpthread.so.0
Mar 26 07:36:23 eule NetworkManager: No symbol table info available.
Mar 26 07:36:23 eule NetworkManager: #2  0x08075c73 in nm_logging_backtrace ()
Mar 26 07:36:23 eule NetworkManager: No symbol table info available.
Mar 26 07:36:23 eule NetworkManager: #3  0x08070395 in ?? ()
Mar 26 07:36:23 eule NetworkManager: No symbol table info available.
Mar 26 07:36:23 eule NetworkManager: #4  <signal handler called>
Mar 26 07:36:23 eule NetworkManager: No symbol table info available.
Mar 26 07:36:23 eule NetworkManager: #5  0x0806de9a in ?? ()
Mar 26 07:36:23 eule NetworkManager: No symbol table info available.
Mar 26 07:36:23 eule NetworkManager: #6  0x08077e98 in ?? ()
Mar 26 07:36:23 eule NetworkManager: No symbol table info available.
Mar 26 07:36:23 eule NetworkManager: #7  0x08086fd1 in _nm_marshal_VOID__STRING_STRING_POINTER_POINTER ()
Mar 26 07:36:23 eule NetworkManager: No symbol table info available.
Mar 26 07:36:23 eule NetworkManager: #8  0x0069d1fb in g_closure_invoke () from /lib/libgobject-2.0.so.0
Mar 26 07:36:23 eule NetworkManager: No symbol table info available.
Mar 26 07:36:23 eule NetworkManager: #9  0x006b3655 in ?? () from /lib/libgobject-2.0.so.0
Mar 26 07:36:23 eule NetworkManager: No symbol table info available.
Mar 26 07:36:23 eule NetworkManager: #9  0x006b3655 in ?? () from /lib/libgobject-2.0.so.0
Mar 26 07:36:23 eule NetworkManager: No symbol table info available.
Mar 26 07:36:23 eule NetworkManager: #10 0x006b4d6c in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
Mar 26 07:36:23 eule NetworkManager: No symbol table info available.
Mar 26 07:36:23 eule NetworkManager: #11 0x006b51e6 in g_signal_emit () from /lib/libgobject-2.0.so.0
Mar 26 07:36:23 eule NetworkManager: No symbol table info available.
Mar 26 07:36:23 eule NetworkManager: #12 0x0806b917 in ?? ()
Mar 26 07:36:23 eule NetworkManager: No symbol table info available.
Mar 26 07:36:23 eule NetworkManager: #13 0x068ce479 in ?? () from /usr/lib/libhal.so.1
Mar 26 07:36:23 eule NetworkManager: No symbol table info available.
Mar 26 07:36:23 eule NetworkManager: #14 0x00d93175 in dbus_connection_dispatch () from /lib/libdbus-1.so.3
Mar 26 07:36:23 eule NetworkManager: No symbol table info available.
Mar 26 07:36:23 eule NetworkManager: #15 0x0072f08d in ?? () from /usr/lib/libdbus-glib-1.so.2
Mar 26 07:36:23 eule NetworkManager: No symbol table info available.
Mar 26 07:36:23 eule NetworkManager: #16 0x009d0238 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
Mar 26 07:36:23 eule NetworkManager: No symbol table info available.
Mar 26 07:36:23 eule NetworkManager: #17 0x009d38e3 in ?? () from /lib/libglib-2.0.so.0
Mar 26 07:36:23 eule NetworkManager: No symbol table info available.
Mar 26 07:36:23 eule NetworkManager: #18 0x009d3e02 in g_main_loop_run () from /lib/libglib-2.0.so.0
Mar 26 07:36:23 eule NetworkManager: No symbol table info available.
Mar 26 07:36:23 eule NetworkManager: #19 0x08070b94 in main () 
Mar 26 07:36:23 eule NetworkManager: No symbol table info available.
Mar 26 07:36:23 eule NetworkManager: The program is running.  Quit anyway (and detach it)? (y or n) [answered Y; input not from terminal]
Mar 26 07:36:23 eule NetworkManager: ******************* END **********************************
Comment 3 Dirk Schlüter 2009-03-26 08:33:31 EDT
Same here. 


2.6.27.19-170.2.35.fc10.i686.PAE #1 SMP Mon Feb 23 13:09:26 EST 2009 i686 i686 i386 GNU/Linux

Where i can get the old package? This is crap!

Mar 26 13:22:10 crow NetworkManager: <info>  starting...
Mar 26 13:22:10 crow NetworkManager: <WARN>  nm_generic_enable_loopback(): error -17 returned from rtnl_addr_add():#012Sucess#012
Mar 26 13:22:10 crow NetworkManager: <info>  Found radio killswitch /org/freedesktop/Hal/devices/pci_8086_4232_rfkill_5100AGN_wlan
Mar 26 13:22:10 crow NetworkManager: <info>  (eth0): new Ethernet device (driver: 'r8169')
Mar 26 13:22:10 crow NetworkManager: <info>  (eth0): exported as /org/freedesktop/Hal/devices/net_00_23_54_a1_5b_9d
Mar 26 13:22:10 crow NetworkManager: <info>  (wlan0): driver supports SSID scans (scan_capa 0x01).
Mar 26 13:22:10 crow NetworkManager: <info>  (wlan0): new 802.11 WiFi device (driver: 'iwlagn')
Mar 26 13:22:10 crow NetworkManager: <info>  (wlan0): exported as /org/freedesktop/Hal/devices/net_00_21_5d_28_a8_46
Mar 26 13:22:10 crow NetworkManager: <info>  Trying to start the supplicant...
Mar 26 13:22:10 crow NetworkManager: <info>  Trying to start the system settings daemon...
Mar 26 13:22:10 crow NetworkManager: <WARN>  killswitch_getpower_reply(): Error getting killswitch power: Method "GetPower" with signature "" on interface "org.freedesktop.Hal.Device.KillSwitch" doesn't exist#012.
Mar 26 13:22:10 crow nm-system-settings: Loaded plugin ifcfg-rh: (c) 2007 - 2008 Red Hat, Inc.  To report bugs please use the NetworkManager mailing list.
Mar 26 13:22:11 crow NetworkManager: <info>  (wlan0): supplicant manager state:  down -> idle
Mar 26 13:22:11 crow nm-system-settings:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-lo ...
Mar 26 13:22:11 crow nm-system-settings:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-eth0 ...
Mar 26 13:22:11 crow nm-system-settings:    ifcfg-rh:     read connection 'System eth0'
Mar 26 13:22:11 crow kernel: ppdev: user-space parallel port driver
Mar 26 13:22:13 crow NetworkManager: <WARN>  nm_signal_handler(): Caught signal 11.  Generating backtrace...
Mar 26 13:22:13 crow NetworkManager: ******************* START **********************************
Mar 26 13:22:14 crow bluetoothd[3097]: Bluetooth daemon
Mar 26 13:22:14 crow NetworkManager: (no debugging symbols found)
Mar 26 13:22:14 crow bluetoothd[3097]: Starting SDP server
Mar 26 13:22:14 crow NetworkManager: (no debugging symbols found)
Mar 26 13:22:14 crow kernel: Bluetooth: L2CAP ver 2.11
Mar 26 13:22:14 crow kernel: Bluetooth: L2CAP socket layer initialized
Mar 26 13:22:14 crow NetworkManager: (no debugging symbols found)
Mar 26 13:22:14 crow NetworkManager: (no debugging symbols found)
Mar 26 13:22:14 crow NetworkManager: (no debugging symbols found)
Mar 26 13:22:14 crow NetworkManager: (no debugging symbols found)
Mar 26 13:22:14 crow NetworkManager: (no debugging symbols found)
Mar 26 13:22:14 crow NetworkManager: (no debugging symbols found)
Mar 26 13:22:14 crow NetworkManager: (no debugging symbols found)
Mar 26 13:22:14 crow NetworkManager: (no debugging symbols found)
Mar 26 13:22:14 crow NetworkManager: (no debugging symbols found)
Mar 26 13:22:14 crow NetworkManager: (no debugging symbols found)
Mar 26 13:22:14 crow NetworkManager: (no debugging symbols found)
Mar 26 13:22:14 crow NetworkManager: (no debugging symbols found)
Mar 26 13:22:14 crow NetworkManager: (no debugging symbols found)
Mar 26 13:22:14 crow NetworkManager: (no debugging symbols found)
Mar 26 13:22:14 crow NetworkManager: (no debugging symbols found)
Mar 26 13:22:14 crow NetworkManager: (no debugging symbols found)
Mar 26 13:22:14 crow NetworkManager: (no debugging symbols found)
Mar 26 13:22:14 crow NetworkManager: (no debugging symbols found)
Mar 26 13:22:14 crow NetworkManager: [Thread debugging using libthread_db enabled]
Mar 26 13:22:14 crow NetworkManager: [New Thread 0xb8087970 (LWP 2435)]
Mar 26 13:22:14 crow NetworkManager: (no debugging symbols found)
Mar 26 13:22:14 crow bluetoothd[3097]: Parsing /etc/bluetooth/input.conf failed: No such file or directory
Mar 26 13:22:14 crow NetworkManager: (no debugging symbols found)
Mar 26 13:22:14 crow NetworkManager: (no debugging symbols found)
Mar 26 13:22:14 crow NetworkManager: (no debugging symbols found)
Mar 26 13:22:14 crow NetworkManager: (no debugging symbols found)
Mar 26 13:22:14 crow NetworkManager: (no debugging symbols found)
Mar 26 13:22:14 crow NetworkManager: (no debugging symbols found)
Mar 26 13:22:14 crow NetworkManager: (no debugging symbols found)
Mar 26 13:22:14 crow NetworkManager: 0x00357424 in __kernel_vsyscall ()
Mar 26 13:22:14 crow bluetoothd[3097]: Parsing /etc/bluetooth/audio.conf failed: No such file or directory
Mar 26 13:22:14 crow NetworkManager: #0  0x00357424 in __kernel_vsyscall ()
Mar 26 13:22:14 crow NetworkManager: #1  0x005080b3 in __waitpid_nocancel () from /lib/libpthread.so.0
Mar 26 13:22:14 crow NetworkManager: #2  0x08075c73 in nm_logging_backtrace ()
Mar 26 13:22:14 crow NetworkManager: #3  0x08070395 in ?? ()
Mar 26 13:22:14 crow NetworkManager: #4  <signal handler called>
Mar 26 13:22:14 crow NetworkManager: #5  0x0806de9a in ?? ()
Mar 26 13:22:14 crow NetworkManager: #6  0x08077e98 in ?? ()
Mar 26 13:22:14 crow NetworkManager: #7  0x08086fd1 in _nm_marshal_VOID__STRING_STRING_POINTER_POINTER ()
Mar 26 13:22:14 crow NetworkManager: #8  0x006511fb in g_closure_invoke () from /lib/libgobject-2.0.so.0
Mar 26 13:22:14 crow NetworkManager: #9  0x00667655 in ?? () from /lib/libgobject-2.0.so.0
Mar 26 13:22:14 crow NetworkManager: #10 0x00668d6c in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
Mar 26 13:22:14 crow NetworkManager: #11 0x006691e6 in g_signal_emit () from /lib/libgobject-2.0.so.0
Mar 26 13:22:14 crow NetworkManager: #12 0x0806b917 in ?? ()
Mar 26 13:22:14 crow NetworkManager: #13 0x02ada479 in ?? () from /usr/lib/libhal.so.1
Mar 26 13:22:14 crow NetworkManager: #14 0x00bcc175 in dbus_connection_dispatch () from /lib/libdbus-1.so.3
Mar 26 13:22:14 crow NetworkManager: #15 0x00c5308d in ?? () from /usr/lib/libdbus-glib-1.so.2
Mar 26 13:22:14 crow NetworkManager: #16 0x00581238 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
Mar 26 13:22:14 crow NetworkManager: #17 0x005848e3 in ?? () from /lib/libglib-2.0.so.0
Mar 26 13:22:14 crow NetworkManager: #18 0x00584e02 in g_main_loop_run () from /lib/libglib-2.0.so.0
Mar 26 13:22:14 crow NetworkManager: #19 0x08070b94 in main ()
Mar 26 13:22:14 crow NetworkManager: 
Mar 26 13:22:14 crow NetworkManager: Thread 1 (Thread 0xb8087970 (LWP 2435)):
Mar 26 13:22:14 crow NetworkManager: #0  0x00357424 in __kernel_vsyscall ()
Mar 26 13:22:14 crow NetworkManager: No symbol table info available.
Mar 26 13:22:14 crow NetworkManager: #1  0x005080b3 in __waitpid_nocancel () from /lib/libpthread.so.0
Mar 26 13:22:14 crow NetworkManager: No symbol table info available.
Mar 26 13:22:14 crow NetworkManager: #2  0x08075c73 in nm_logging_backtrace ()
Mar 26 13:22:14 crow NetworkManager: No symbol table info available.
Mar 26 13:22:14 crow NetworkManager: #3  0x08070395 in ?? ()
Mar 26 13:22:14 crow NetworkManager: No symbol table info available.
Mar 26 13:22:14 crow NetworkManager: #4  <signal handler called>
Mar 26 13:22:14 crow NetworkManager: No symbol table info available.
Mar 26 13:22:14 crow NetworkManager: #5  0x0806de9a in ?? ()
Mar 26 13:22:14 crow NetworkManager: No symbol table info available.
Mar 26 13:22:14 crow NetworkManager: #6  0x08077e98 in ?? ()
Mar 26 13:22:14 crow NetworkManager: No symbol table info available.
Mar 26 13:22:14 crow NetworkManager: #7  0x08086fd1 in _nm_marshal_VOID__STRING_STRING_POINTER_POINTER ()
Mar 26 13:22:14 crow NetworkManager: No symbol table info available.
Mar 26 13:22:14 crow NetworkManager: #8  0x006511fb in g_closure_invoke () from /lib/libgobject-2.0.so.0
Mar 26 13:22:14 crow NetworkManager: No symbol table info available.
Mar 26 13:22:14 crow NetworkManager: #9  0x00667655 in ?? () from /lib/libgobject-2.0.so.0
Mar 26 13:22:14 crow NetworkManager: No symbol table info available.
Mar 26 13:22:14 crow NetworkManager: #10 0x00668d6c in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
Mar 26 13:22:14 crow NetworkManager: No symbol table info available.
Mar 26 13:22:14 crow NetworkManager: #11 0x006691e6 in g_signal_emit () from /lib/libgobject-2.0.so.0
Mar 26 13:22:14 crow NetworkManager: No symbol table info available.
Mar 26 13:22:14 crow NetworkManager: #12 0x0806b917 in ?? ()
Mar 26 13:22:14 crow NetworkManager: No symbol table info available.
Mar 26 13:22:14 crow NetworkManager: #13 0x02ada479 in ?? () from /usr/lib/libhal.so.1
Mar 26 13:22:14 crow NetworkManager: No symbol table info available.
Mar 26 13:22:14 crow NetworkManager: #14 0x00bcc175 in dbus_connection_dispatch () from /lib/libdbus-1.so.3
Mar 26 13:22:14 crow NetworkManager: No symbol table info available.
Mar 26 13:22:14 crow NetworkManager: #15 0x00c5308d in ?? () from /usr/lib/libdbus-glib-1.so.2
Mar 26 13:22:14 crow NetworkManager: No symbol table info available.
Mar 26 13:22:14 crow NetworkManager: #16 0x00581238 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
Mar 26 13:22:14 crow NetworkManager: No symbol table info available.
Mar 26 13:22:14 crow NetworkManager: #17 0x005848e3 in ?? () from /lib/libglib-2.0.so.0
Mar 26 13:22:14 crow NetworkManager: No symbol table info available.
Mar 26 13:22:14 crow NetworkManager: #18 0x00584e02 in g_main_loop_run () from /lib/libglib-2.0.so.0
Mar 26 13:22:14 crow NetworkManager: No symbol table info available.
Mar 26 13:22:14 crow NetworkManager: #19 0x08070b94 in main ()
Mar 26 13:22:14 crow NetworkManager: No symbol table info available.
Mar 26 13:22:14 crow NetworkManager: The program is running.  Quit anyway (and detach it)? (y or n) [answered Y; input not from terminal]
Mar 26 13:22:14 crow NetworkManager: ******************* END **********************************
Comment 4 Dirk Schlüter 2009-03-26 08:48:52 EDT
Downgrade. A workaround for me. NetworkManager is back.

# rpm -qa|grep -i NetworkManager
NetworkManager-0.7.0.99-4.git20090324.fc10.i386
NetworkManager-glib-0.7.0.99-4.git20090324.fc10.i386
NetworkManager-gnome-0.7.0.99-4.git20090324.fc10.i386
NetworkManager-openvpn-0.7.0.99-1.fc10.i386

# rpm -Uvh --oldpackage http://ftp.yz.yamagata-u.ac.jp/pub/linux/fedora/linux/updates/10/i386/NetworkManager-0.7.0.99-3.fc10.i386.rpm http://ftp.yz.yamagata-u.ac.jp/pub/linux/fedora/linux/updates/10/i386/NetworkManager-glib-0.7.0.99-3.fc10.i386.rpm http://ftp.yz.yamagata-u.ac.jp/pub/linux/fedora/linux/updates/10/i386/NetworkManager-gnome-0.7.0.99-3.fc10.i386.rpm
Comment 5 Jean-pierre Cartal 2009-03-26 09:11:56 EDT
same problem here...
Comment 6 Johnny Proton 2009-03-26 09:56:48 EDT
I get a 404 when trying to download these packages.  Does anyone else know where we could retrieve them?
Comment 7 Juan Saavedra 2009-03-26 10:17:08 EDT
Created attachment 336807 [details]
Error log

There's perhaps a lot of VMware filth in the log, but it seems it's not relevant to the problem (i've seen a lot of logs today about this problem, and another one mentioned VMWare).
Neither architecture nor hardware devices seems to be linked to this problem.
Comment 8 Ben Konrath 2009-03-26 10:26:27 EDT
(In reply to comment #6)
> I get a 404 when trying to download these packages.  Does anyone else know
> where we could retrieve them?  

I had trouble finding them too. Not sure where the complete updates archive is stored publicly. Anyway, here they are:

http://www.bagu.org/scratch/NetworkManager-0.7.0.99-3.fc10.i386.rpm
http://www.bagu.org/scratch/NetworkManager-glib-0.7.0.99-3.fc10.i386.rpm
http://www.bagu.org/scratch/NetworkManager-gnome-0.7.0.99-3.fc10.i386.rpm
Comment 9 Kelvin J. Hill 2009-03-26 10:31:00 EDT
Created attachment 336814 [details]
Messages file from test with Cisco VPN and VMWare Workstation driver

I am sorry to say that this update has proved to be a disaster for me.
It seems to be incompatible with either the Cisco VPN client driver or VMWare
Workstation network drivers.

If neither if these are loaded, NetworkManager starts as expected. If however,
either is loaded, NetworkManager immediately crashes.

I have attached a sanitized logfile extract demonstrating the problem. I guess
I will have to revert back to the previous version.
Comment 10 Miles Sabin 2009-03-26 10:44:22 EDT
This appears to be VMWare related for me: after stopping the vmware service I can successfully restart NetworkManager.
Comment 11 Matthew Saltzman 2009-03-26 10:51:27 EDT
(In reply to comment #10)
> This appears to be VMWare related for me: after stopping the vmware service I
> can successfully restart NetworkManager.  

Confrimed: stopping vmware service allows NetworkManager to start.
Comment 12 Matthew Saltzman 2009-03-26 10:58:48 EDT
(In reply to comment #11)
> (In reply to comment #10)
> > This appears to be VMWare related for me: after stopping the vmware service I
> > can successfully restart NetworkManager.  
> 
> Confrimed: stopping vmware service allows NetworkManager to start.  

Furthermore, starting vmware with NetworkManager running causes NetworkManager to crash.
Comment 13 Juan Saavedra 2009-03-26 11:15:46 EDT
Created attachment 336824 [details]
Error log 2

Yes, as previously mentioned, starting vmware makes Network Manager to crash.
That's what I did.
And here is the log.
Has anyone tried reinstalling VMWare (or does anyone knows a way so it can run the initial kernel config process all over again) ??
Maybe related to VM's DHCP?
Comment 14 Johnny Proton 2009-03-26 11:21:48 EDT
Confirmed here as well.  Does anyone have the x86-64 NetworkManager packages previously posted?  I need to use VMWare today... Of course.
Comment 15 Kelvin J. Hill 2009-03-26 11:27:44 EDT
You can get them from http://ftp.yz.yamagata-u.ac.jp/pub/linux/fedora/linux/updates/10/x86_64/

Hmm.. with this and the libX11 fiasco a couple of days ago, Fedora 10 is in danger of getting quite a bad rep at the moment.

I wonder how "Mr & Mrs Average User" are coping?
Comment 16 G. Michael Carter 2009-03-26 11:45:33 EDT
I have a confirmed case of this in i386 as well.
Comment 17 Miao ZhiCheng 2009-03-26 12:59:30 EDT
The same thing happens on my x86 machine.
Comment 18 Kevin DeKorte 2009-03-26 13:52:44 EDT
Dump from /var/log/messages with -debuginfo installed, and I also have vmware installed on my machine.


Mar 26 11:33:25 localhost NetworkManager: <info>  starting...
Mar 26 11:33:25 localhost NetworkManager: <WARN>  nm_generic_enable_loopback(): error -17 returned from rtnl_addr_add():#012Sucess#012
Mar 26 11:33:25 localhost NetworkManager: <info>  Found radio killswitch /org/freedesktop/Hal/devices/pci_8086_4227_rfkill_3945ABG_wlan
Mar 26 11:33:25 localhost NetworkManager: <info>  Found radio killswitch /org/freedesktop/Hal/devices/iwl_wlan_switch
Mar 26 11:33:25 localhost NetworkManager: <WARN>  nm_signal_handler(): Caught signal 11.  Generating backtrace...
Mar 26 11:33:25 localhost NetworkManager: ******************* START **********************************
Mar 26 11:33:26 localhost NetworkManager: [Thread debugging using libthread_db enabled]
Mar 26 11:33:26 localhost NetworkManager: [New Thread 0xb8052970 (LWP 5417)]
Mar 26 11:33:26 localhost NetworkManager: 0x001f7416 in __kernel_vsyscall ()
Mar 26 11:33:26 localhost NetworkManager: #0  0x001f7416 in __kernel_vsyscall ()
Mar 26 11:33:26 localhost NetworkManager: #1  0x006090b3 in __waitpid_nocancel () from /lib/libpthread.so.0
Mar 26 11:33:26 localhost NetworkManager: #2  0x08075c73 in crashlogger_get_backtrace () at nm-logging.c:70
Mar 26 11:33:26 localhost NetworkManager: #3  nm_logging_backtrace () at nm-logging.c:99
Mar 26 11:33:26 localhost NetworkManager: #4  0x08070395 in nm_signal_handler (signo=11) at NetworkManager.c:162
Mar 26 11:33:26 localhost NetworkManager: #5  <signal handler called>
Mar 26 11:33:26 localhost NetworkManager: #6  0x0806de9a in wired_device_creator (self=0x9714030,
Mar 26 11:33:26 localhost NetworkManager:     udi=0x9716568 "/org/freedesktop/Hal/devices/net_00_50_56_c0_00_08",
Mar 26 11:33:26 localhost NetworkManager:     origdev_udi=0x97168a0 "/org/freedesktop/Hal/devices/computer", managed=1)
Mar 26 11:33:26 localhost NetworkManager: er.c:207
Mar 26 11:33:26 localhost NetworkManager: #7  0x08077e98 in hal_manager_udi_added_cb (hal_mgr=0x9714030,
Mar 26 11:33:26 localhost NetworkManager:     udi=0x9716568 "/org/freedesktop/Hal/devices/net_00_50_56_c0_00_08",
Mar 26 11:33:26 localhost NetworkManager:     originating_device=0x97168a0 "/org/freedesktop/Hal/devices/computer",
Mar 26 11:33:26 localhost NetworkManager: 0x806de30 <wired_device_creator>,
Mar 26 11:33:26 localhost NetworkManager:     user_data=0x9712808) at nm-manager.c:1707
Mar 26 11:33:26 localhost NetworkManager: #8  0x08086fd1 in _nm_marshal_VOID__STRING_STRING_POINTER_POINTER (
Mar 26 11:33:26 localhost NetworkManager:     closure=0x9711eb8, return_value=0x0, n_param_values=5,
Mar 26 11:33:26 localhost NetworkManager:     param_values=0x9712870, invocation_hint=0xbff6e80c, marshal_data=0x8077df0)
Mar 26 11:33:26 localhost NetworkManager:     at nm-marshal.c:502
Mar 26 11:33:26 localhost NetworkManager: #9  0x007641fb in g_closure_invoke () from /lib/libgobject-2.0.so.0
Mar 26 11:33:26 localhost NetworkManager: #10 0x0077a655 in ?? () from /lib/libgobject-2.0.so.0
Mar 26 11:33:26 localhost NetworkManager: #11 0x0077bd6c in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
Mar 26 11:33:26 localhost NetworkManager: #12 0x0077c1e6 in g_signal_emit () from /lib/libgobject-2.0.so.0
Mar 26 11:33:26 localhost NetworkManager: #13 0x0806b917 in emit_udi_added (self=0x9714030,
Mar 26 11:33:26 localhost NetworkManager:     udi=0x970d4d8 "/org/freedesktop/Hal/devices/net_00_50_56_c0_00_08",
Mar 26 11:33:26 localhost NetworkManager:     creator=0x97094a8) at nm-hal-manager.c:1058
Mar 26 11:33:26 localhost NetworkManager: #14 0x0806c21c in add_initial_devices () at nm-hal-manager.c:1137
Mar 26 11:33:26 localhost NetworkManager: #15 nm_hal_manager_query_devices (self=0x9714030) at nm-hal-manager.c:1454
Mar 26 11:33:26 localhost NetworkManager: #16 0x08076508 in sync_devices (self=0x9712808) at nm-manager.c:1481
Mar 26 11:33:26 localhost NetworkManager: #17 0x0807849c in deferred_sync_devices (user_data=0x9712808)
Mar 26 11:33:26 localhost NetworkManager:     at nm-manager.c:1491
Mar 26 11:33:26 localhost NetworkManager: #18 0x00677301 in ?? () from /lib/libglib-2.0.so.0
Mar 26 11:33:26 localhost NetworkManager: #19 0x00679238 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
Mar 26 11:33:26 localhost NetworkManager: #20 0x0067c8e3 in ?? () from /lib/libglib-2.0.so.0
Mar 26 11:33:26 localhost NetworkManager: #21 0x0067ce02 in g_main_loop_run () from /lib/libglib-2.0.so.0
Mar 26 11:33:26 localhost NetworkManager: #22 0x08070b94 in main (argc=158407600, argv=0xbff6f5d4)
Mar 26 11:33:26 localhost NetworkManager:     at NetworkManager.c:396
Mar 26 11:33:26 localhost NetworkManager:
Mar 26 11:33:26 localhost NetworkManager: Thread 1 (Thread 0xb8052970 (LWP 5417)):
Mar 26 11:33:26 localhost NetworkManager: #0  0x001f7416 in __kernel_vsyscall ()
Mar 26 11:33:26 localhost NetworkManager: No symbol table info available.
Mar 26 11:33:26 localhost NetworkManager: #1  0x006090b3 in __waitpid_nocancel () from /lib/libpthread.so.0
Mar 26 11:33:26 localhost NetworkManager: No locals.
Mar 26 11:33:26 localhost NetworkManager: #2  0x08075c73 in crashlogger_get_backtrace () at nm-logging.c:70
Mar 26 11:33:26 localhost NetworkManager: No locals.
Mar 26 11:33:26 localhost NetworkManager: #3  nm_logging_backtrace () at nm-logging.c:99
Mar 26 11:33:26 localhost NetworkManager: st_mode = 33261,
Mar 26 11:33:26 localhost NetworkManager:
Mar 26 11:33:26 localhost NetworkManager: st_blocks = 16, st_atim = {
Mar 26 11:33:26 localhost NetworkManager: tv_sec = 1237903304,
Mar 26 11:33:26 localhost NetworkManager: __unused4 = 0,
Mar 26 11:33:26 localhost NetworkManager:
Mar 26 11:33:26 localhost NetworkManager: #4  0x08070395 in nm_signal_handler (signo=11) at NetworkManager.c:162
Mar 26 11:33:26 localhost NetworkManager:
Mar 26 11:33:26 localhost NetworkManager:
Mar 26 11:33:26 localhost NetworkManager: #5  <signal handler called>
Mar 26 11:33:26 localhost NetworkManager: No symbol table info available.
Mar 26 11:33:26 localhost NetworkManager: #6  0x0806de9a in wired_device_creator (self=0x9714030,
Mar 26 11:33:26 localhost NetworkManager:     udi=0x9716568 "/org/freedesktop/Hal/devices/net_00_50_56_c0_00_08",
Mar 26 11:33:26 localhost NetworkManager: ", managed=1)
Mar 26 11:33:26 localhost NetworkManager:     at nm-hal-manager.c:207
Mar 26 11:33:26 localhost NetworkManager: #011device = <value optimized out>
Mar 26 11:33:26 localhost NetworkManager:
Mar 26 11:33:26 localhost NetworkManager: #011driver = 0x0
Mar 26 11:33:26 localhost NetworkManager: #011parent = <value optimized out>
Mar 26 11:33:26 localhost NetworkManager:
Mar 26 11:33:26 localhost NetworkManager: #7  0x08077e98 in hal_manager_udi_added_cb (hal_mgr=0x9714030,
Mar 26 11:33:26 localhost NetworkManager:     udi=0x9716568 "/org/freedesktop/Hal/devices/net_00_50_56_c0_00_08",
Mar 26 11:33:26 localhost NetworkManager:     originating_device=0x97168a0 "/org/freedesktop/Hal/devices/computer",
Mar 26 11:33:26 localhost NetworkManager: =0x806de30 <wired_device_creator>,
Mar 26 11:33:26 localhost NetworkManager:     user_data=0x9712808) at nm-manager.c:1707
Mar 26 11:33:26 localhost NetworkManager: #011self = (NMManager *) 0x9712808
Mar 26 11:33:26 localhost NetworkManager: #011priv = (NMManagerPrivate *) 0x9712818
Mar 26 11:33:26 localhost NetworkManager: #011device = <value optimized out>
Mar 26 11:33:26 localhost NetworkManager: #011iface = <value optimized out>
Mar 26 11:33:26 localhost NetworkManager: #011driver = <value optimized out>
Mar 26 11:33:26 localhost NetworkManager:
Mar 26 11:33:26 localhost NetworkManager: #8  0x08086fd1 in _nm_marshal_VOID__STRING_STRING_POINTER_POINTER (
Mar 26 11:33:26 localhost NetworkManager:     closure=0x9711eb8, return_value=0x0, n_param_values=5,
Mar 26 11:33:26 localhost NetworkManager:     param_values=0x9712870, invocation_hint=0xbff6e80c, marshal_data=0x8077df0)
Mar 26 11:33:26 localhost NetworkManager:     at nm-marshal.c:502
Mar 26 11:33:26 localhost NetworkManager: #011data1 = (gpointer) 0x9714030
Mar 26 11:33:26 localhost NetworkManager: #011data2 = <value optimized out>
Mar 26 11:33:26 localhost NetworkManager:
Mar 26 11:33:26 localhost NetworkManager: #9  0x007641fb in g_closure_invoke () from /lib/libgobject-2.0.so.0
Mar 26 11:33:26 localhost NetworkManager: No symbol table info available.
Mar 26 11:33:26 localhost NetworkManager: #10 0x0077a655 in ?? () from /lib/libgobject-2.0.so.0
Mar 26 11:33:26 localhost NetworkManager: No symbol table info available.
Mar 26 11:33:26 localhost NetworkManager: #11 0x0077bd6c in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
Mar 26 11:33:26 localhost NetworkManager: No symbol table info available.
Mar 26 11:33:26 localhost NetworkManager: #12 0x0077c1e6 in g_signal_emit () from /lib/libgobject-2.0.so.0
Mar 26 11:33:26 localhost NetworkManager: No symbol table info available.
Mar 26 11:33:26 localhost NetworkManager: #13 0x0806b917 in emit_udi_added (self=0x9714030,
Mar 26 11:33:26 localhost NetworkManager:     udi=0x970d4d8 "/org/freedesktop/Hal/devices/net_00_50_56_c0_00_08",
Mar 26 11:33:26 localhost NetworkManager:     creator=0x97094a8) at nm-hal-manager.c:1058
Mar 26 11:33:26 localhost NetworkManager:
Mar 26 11:33:26 localhost NetworkManager:
Mar 26 11:33:26 localhost NetworkManager:
Mar 26 11:33:26 localhost NetworkManager:
Mar 26 11:33:26 localhost NetworkManager:
Mar 26 11:33:26 localhost NetworkManager: #14 0x0806c21c in add_initial_devices () at nm-hal-manager.c:1137
Mar 26 11:33:26 localhost NetworkManager: #011iter = (GSList *) 0x9709b38
Mar 26 11:33:26 localhost NetworkManager: #011devices = (char **) 0x9714c10
Mar 26 11:33:26 localhost NetworkManager:
Mar 26 11:33:26 localhost NetworkManager: dummy3 = 0,
Mar 26 11:33:26 localhost NetworkManager: padding1 = 0xbff6e9e8}
Mar 26 11:33:26 localhost NetworkManager: #011priv = (NMHalManagerPrivate *) 0x9714040
Mar 26 11:33:26 localhost NetworkManager: #011creator = (DeviceCreator *) 0x97094a8
Mar 26 11:33:26 localhost NetworkManager:
Mar 26 11:33:26 localhost NetworkManager: #15 nm_hal_manager_query_devices (self=0x9714030) at nm-hal-manager.c:1454
Mar 26 11:33:26 localhost NetworkManager: No locals.
Mar 26 11:33:26 localhost NetworkManager: #16 0x08076508 in sync_devices (self=0x9712808) at nm-manager.c:1481
Mar 26 11:33:26 localhost NetworkManager: #011priv = (NMManagerPrivate *) 0x9712818
Mar 26 11:33:26 localhost NetworkManager: #011devices = (GSList *) 0x0
Mar 26 11:33:26 localhost NetworkManager: #011iter = (GSList *) 0x0
Mar 26 11:33:26 localhost NetworkManager: #17 0x0807849c in deferred_sync_devices (user_data=0x9712808)
Mar 26 11:33:26 localhost NetworkManager:     at nm-manager.c:1491
Mar 26 11:33:26 localhost NetworkManager: No locals.
Mar 26 11:33:26 localhost NetworkManager: #18 0x00677301 in ?? () from /lib/libglib-2.0.so.0
Mar 26 11:33:26 localhost NetworkManager: No symbol table info available.
Mar 26 11:33:26 localhost NetworkManager: #19 0x00679238 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
Mar 26 11:33:26 localhost NetworkManager: No symbol table info available.
Mar 26 11:33:26 localhost NetworkManager: #20 0x0067c8e3 in ?? () from /lib/libglib-2.0.so.0
Mar 26 11:33:26 localhost NetworkManager: No symbol table info available.
Mar 26 11:33:26 localhost NetworkManager: #21 0x0067ce02 in g_main_loop_run () from /lib/libglib-2.0.so.0
Mar 26 11:33:26 localhost NetworkManager: No symbol table info available.
Mar 26 11:33:26 localhost NetworkManager: #22 0x08070b94 in main (argc=158407600, argv=0xbff6f5d4)
Mar 26 11:33:26 localhost NetworkManager:     at NetworkManager.c:396
Mar 26 11:33:26 localhost NetworkManager: #011opt_ctx = <value optimized out>
Mar 26 11:33:26 localhost NetworkManager:
Mar 26 11:33:26 localhost NetworkManager:
Mar 26 11:33:26 localhost NetworkManager:
Mar 26 11:33:26 localhost NetworkManager:
Mar 26 11:33:26 localhost NetworkManager: #011policy = (NMPolicy *) 0x9714bb8
Mar 26 11:33:26 localhost NetworkManager: #011vpn_manager = (NMVPNManager *) 0x9709430
Mar 26 11:33:26 localhost NetworkManager: #011named_mgr = (NMNamedManager *) 0x970b9c0
Mar 26 11:33:26 localhost NetworkManager: #011dbus_mgr = (NMDBusManager *) 0x9706518
Mar 26 11:33:26 localhost NetworkManager: #011sup_mgr = (NMSupplicantManager *) 0x9706740
Mar 26 11:33:26 localhost NetworkManager: #011dhcp_mgr = (NMDHCPManager *) 0x970ba00
Mar 26 11:33:26 localhost NetworkManager: short_name = 0 '\0',
Mar 26 11:33:26 localhost NetworkManager: arg = G_OPTION_ARG_NONE, arg_data = 0xbff6f510,
Mar 26 11:33:26 localhost NetworkManager: arg_description = 0x0}, {
Mar 26 11:33:26 localhost NetworkManager: flags = 0,
Mar 26 11:33:26 localhost NetworkManager: , arg_data = 0xbff6f50c,
Mar 26 11:33:26 localhost NetworkManager: ,
Mar 26 11:33:26 localhost NetworkManager: , {long_name = 0x0,
Mar 26 11:33:26 localhost NetworkManager: arg = G_OPTION_ARG_NONE, arg_data = 0x0,
Mar 26 11:33:26 localhost NetworkManager: arg_description = 0x0}}
Mar 26 11:33:26 localhost NetworkManager:
Mar 26 11:33:26 localhost NetworkManager: The program is running.  Quit anyway (and detach it)? (y or n) [answered Y; input not from terminal]
Mar 26 11:33:26 localhost NetworkManager: ******************* END **********************************
Comment 19 Nicolae Ghimbovschi 2009-03-26 14:54:08 EDT
Here the same, 
(In reply to comment #1)
> This doesn't appear to be x86_64 specific ... I'm seeing the same segfault on
> vanilla x86.  

It is affecting and the x86_64 releases:

Linux jupiter64-fedora 2.6.27.19-170.2.35.fc10.x86_64 #1 SMP Mon Feb 23 13:00:23 EST 2009 x86_64 x86_64 x86_64 GNU/Linux


Mar 26 20:24:09 localhost NetworkManager: <info>  starting...
Mar 26 20:24:09 localhost NetworkManager: <WARN>  nm_generic_enable_loopback(): error -17 returned from rtnl_addr_add():#012Sucess#012
Mar 26 20:24:09 localhost NetworkManager: <info>  Found radio killswitch /org/freedesktop/Hal/devices/pci_8086_4232_rfkill_5100AGN_wlan
Mar 26 20:24:09 localhost NetworkManager: <info>  (eth0): new Ethernet device (driver: 'r8169')
Mar 26 20:24:09 localhost NetworkManager: <info>  (eth0): exported as /org/freedesktop/Hal/devices/net_00_23_54_10_48_23
Mar 26 20:24:09 localhost NetworkManager: <info>  (wlan0): driver supports SSID scans (scan_capa 0x01).
Mar 26 20:24:09 localhost NetworkManager: <info>  (wlan0): new 802.11 WiFi device (driver: 'iwlagn')
Mar 26 20:24:09 localhost NetworkManager: <info>  (wlan0): exported as /org/freedesktop/Hal/devices/net_00_21_5d_0d_0b_14
Mar 26 20:24:09 localhost NetworkManager: <info>  Trying to start the supplicant...
Mar 26 20:24:09 localhost NetworkManager: <info>  Trying to start the system settings daemon...
Mar 26 20:24:09 localhost NetworkManager: <WARN>  killswitch_getpower_reply(): Error getting killswitch power: Method "GetPower" with signature "" on interface "org.freedesktop.Hal.Device.KillSwitch" doesn't exist#012.
Mar 26 20:24:10 localhost nm-system-settings: Loaded plugin ifcfg-rh: (c) 2007 - 2008 Red Hat, Inc.  To report bugs please use the NetworkManager mailing list.
Mar 26 20:24:10 localhost NetworkManager: <info>  (wlan0): supplicant manager state:  down -> idle
Mar 26 20:24:12 localhost NetworkManager: <WARN>  nm_signal_handler(): Caught signal 11.  Generating backtrace...
Mar 26 20:24:12 localhost NetworkManager: ******************* START **********************************
Mar 26 20:24:12 localhost NetworkManager: (no debugging symbols found)
Mar 26 20:24:13 localhost NetworkManager: (no debugging symbols found)
Mar 26 20:24:13 localhost NetworkManager: (no debugging symbols found)
Mar 26 20:24:13 localhost NetworkManager: (no debugging symbols found)
Mar 26 20:24:13 localhost NetworkManager: (no debugging symbols found)
Mar 26 20:24:13 localhost NetworkManager: (no debugging symbols found)
Mar 26 20:24:13 localhost NetworkManager: [Thread debugging using libthread_db enabled]
Mar 26 20:24:13 localhost NetworkManager: [New Thread 0x7fee4a6357e0 (LWP 2392)]
Mar 26 20:24:15 localhost NetworkManager: 0x00000035f160ebf5 in __libc_waitpid (pid=2550, stat_loc=0x7fff5266cbcc, 
Mar 26 20:24:15 localhost NetworkManager:     options=0) at ../sysdeps/unix/sysv/linux/waitpid.c:32
Mar 26 20:24:15 localhost NetworkManager: 32#011      return INLINE_SYSCALL (wait4, 4, pid, stat_loc, options, NULL);
Mar 26 20:24:15 localhost NetworkManager: #0  0x00000035f160ebf5 in __libc_waitpid (pid=2550, stat_loc=0x7fff5266cbcc, 
Mar 26 20:24:15 localhost NetworkManager:     options=0) at ../sysdeps/unix/sysv/linux/waitpid.c:32
Mar 26 20:24:15 localhost NetworkManager: #1  0x0000000000430133 in nm_logging_backtrace ()
Mar 26 20:24:15 localhost NetworkManager: #2  0x000000000042af90 in ?? ()
Mar 26 20:24:15 localhost NetworkManager: #3  <signal handler called>
Mar 26 20:24:15 localhost NetworkManager: #4  0x0000000000428d87 in ?? ()
Mar 26 20:24:15 localhost NetworkManager: #5  0x0000000000432173 in ?? ()
Mar 26 20:24:15 localhost NetworkManager: #6  0x00000035d160b7dd in g_closure_invoke () from /lib64/libgobject-2.0.so.0
Mar 26 20:24:15 localhost NetworkManager: #7  0x00000035d16214bd in ?? () from /lib64/libgobject-2.0.so.0
Mar 26 20:24:15 localhost NetworkManager: #8  0x00000035d1622b68 in g_signal_emit_valist ()
Mar 26 20:24:15 localhost NetworkManager:    from /lib64/libgobject-2.0.so.0
Mar 26 20:24:15 localhost NetworkManager: #9  0x00000035d1623093 in g_signal_emit () from /lib64/libgobject-2.0.so.0
Mar 26 20:24:15 localhost NetworkManager: #10 0x0000000000426ac3 in ?? ()
Mar 26 20:24:15 localhost NetworkManager: #11 0x0000003af7e0bd29 in ?? () from /usr/lib64/libhal.so.1
Mar 26 20:24:15 localhost NetworkManager: #12 0x0000003a9f00ef7b in dbus_connection_dispatch ()
Mar 26 20:24:15 localhost NetworkManager:    from /lib64/libdbus-1.so.3
Mar 26 20:24:15 localhost NetworkManager: #13 0x00000035d5009765 in ?? () from /usr/lib64/libdbus-glib-1.so.2
Mar 26 20:24:15 localhost NetworkManager: 03fd7c3779b in g_main_context_dispatch ()
Mar 26 20:24:15 localhost NetworkManager:    from /lib64/libglib-2.0.so.0
Mar 26 20:24:15 localhost NetworkManager: #15 0x0000003fd7c3af6d in ?? () from /lib64/libglib-2.0.so.0
Mar 26 20:24:15 localhost NetworkManager: #16 0x0000003fd7c3b49d in g_main_loop_run () from /lib64/libglib-2.0.so.0
Mar 26 20:24:15 localhost NetworkManager: #17 0x000000000042b6ff in main ()
Mar 26 20:24:15 localhost NetworkManager: 
Mar 26 20:24:15 localhost NetworkManager: hread 0x7fee4a6357e0 (LWP 2392)):
Mar 26 20:24:15 localhost NetworkManager: #0  0x00000035f160ebf5 in __libc_waitpid (pid=2550, stat_loc=0x7fff5266cbcc, 
Mar 26 20:24:15 localhost NetworkManager:     options=0) at ../sysdeps/unix/sysv/linux/waitpid.c:32
Mar 26 20:24:15 localhost NetworkManager: #011oldtype = <value optimized out>
Mar 26 20:24:15 localhost NetworkManager: #011result = <value optimized out>
Mar 26 20:24:15 localhost NetworkManager: 33 in nm_logging_backtrace ()
Mar 26 20:24:15 localhost NetworkManager: No symbol table info available.
Mar 26 20:24:15 localhost NetworkManager: #2  0x000000000042af90 in ?? ()
Mar 26 20:24:15 localhost NetworkManager: No symbol table info available.
Mar 26 20:24:15 localhost NetworkManager: #3  <signal handler called>
Mar 26 20:24:15 localhost NetworkManager: No locals.
Mar 26 20:24:15 localhost NetworkManager: #4  0x0000000000428d87 in ?? ()
Mar 26 20:24:15 localhost NetworkManager: No symbol table info available.
Mar 26 20:24:15 localhost NetworkManager: #5  0x0000000000432173 in ?? ()
Mar 26 20:24:15 localhost NetworkManager: No symbol table info available.
Mar 26 20:24:15 localhost NetworkManager: #6  0x00000035d160b7dd in g_closure_invoke () from /lib64/libgobject-2.0.so.0
Mar 26 20:24:15 localhost NetworkManager: No symbol table info available.
Mar 26 20:24:15 localhost NetworkManager: #7  0x00000035d16214bd in ?? () from /lib64/libgobject-2.0.so.0
Mar 26 20:24:15 localhost NetworkManager: No symbol table info available.
Mar 26 20:24:15 localhost NetworkManager: #8  0x00000035d1622b68 in g_signal_emit_valist ()
Mar 26 20:24:15 localhost NetworkManager:    from /lib64/libgobject-2.0.so.0
Mar 26 20:24:15 localhost NetworkManager: No symbol table info available.
Mar 26 20:24:15 localhost NetworkManager: #9  0x00000035d1623093 in g_signal_emit () from /lib64/libgobject-2.0.so.0
Mar 26 20:24:15 localhost NetworkManager: No symbol table info available.
Mar 26 20:24:15 localhost NetworkManager: #10 0x0000000000426ac3 in ?? ()
Mar 26 20:24:15 localhost NetworkManager: No symbol table info available.
Mar 26 20:24:15 localhost NetworkManager: #11 0x0000003af7e0bd29 in ?? () from /usr/lib64/libhal.so.1
Mar 26 20:24:15 localhost NetworkManager: No symbol table info available.
Mar 26 20:24:15 localhost NetworkManager: #12 0x0000003a9f00ef7b in dbus_connection_dispatch ()
Mar 26 20:24:15 localhost NetworkManager:    from /lib64/libdbus-1.so.3
Mar 26 20:24:15 localhost NetworkManager: No symbol table info available.
Mar 26 20:24:15 localhost NetworkManager: #13 0x00000035d5009765 in ?? () from /usr/lib64/libdbus-glib-1.so.2
Mar 26 20:24:15 localhost NetworkManager: No symbol table info available.
Mar 26 20:24:15 localhost NetworkManager: #14 0x0000003fd7c3779b in g_main_context_dispatch ()
Mar 26 20:24:15 localhost NetworkManager:    from /lib64/libglib-2.0.so.0
Mar 26 20:24:15 localhost NetworkManager: No symbol table info available.
Mar 26 20:24:15 localhost NetworkManager: #15 0x0000003fd7c3af6d in ?? () from /lib64/libglib-2.0.so.0
Mar 26 20:24:15 localhost NetworkManager: No symbol table info available.
Mar 26 20:24:15 localhost NetworkManager: #16 0x0000003fd7c3b49d in g_main_loop_run () from /lib64/libglib-2.0.so.0
Mar 26 20:24:15 localhost NetworkManager: No symbol table info available.
Mar 26 20:24:15 localhost NetworkManager: #17 0x000000000042b6ff in main ()
Mar 26 20:24:15 localhost NetworkManager: No symbol table info available.
Mar 26 20:24:15 localhost NetworkManager: The program is running.  Quit anyway (and detach it)? (y or n) [answered Y; input not from terminal]
Mar 26 20:24:15 localhost NetworkManager: ******************* END **********************************
Mar 26 20:24:25 localhost bluetoothd[3047]: Registered interface org.bluez.NetworkPeer on path /org/bluez/3047/hci0
Mar 26 20:24:25 localhost bluetoothd[3047]: Registered interface org.bluez.NetworkHub on path /org/bluez/3047/hci0
Mar 26 20:24:25 localhost bluetoothd[3047]: Registered interface org.bluez.NetworkRouter on path /org/bluez/3047/hci0
Mar 26 20:24:27 localhost avahi-daemon[3210]: Network interface enumeration completed.
Comment 20 Jessica Sterling 2009-03-26 15:36:57 EDT
This bug has been triaged.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 21 Dan Williams 2009-03-26 16:25:07 EDT
Geez,  NetworkManager 0.7.0.99-4.git20090324 got auto-pushed due to karma.  Apparently nobody running updates-tesing uses vmware...
Comment 22 Dan Williams 2009-03-26 16:27:35 EDT
Could somebody do the following?

1) yum install NetworkManager-debuginfo glib-debuginfo dbus-glib-debuginfo
2) gdb /usr/sbin/NetworkManager
3) r --no-daemon
4) start the vmware service and make NM crash

and then when NM does crash in GDB, run "backtrace" and post the results here?  Thanks!
Comment 23 Kevin DeKorte 2009-03-26 16:34:07 EDT
Dan, you can download VMWare and duplicate this issue without even installing a VM gues. All you have do to is install VMWare (get the 30day trial copy). Start VMware once, so that it builds the kernel modules and that should be enough to duplicate the error. I setup a NAT for the VMWare instance, via the vmware tools.
Comment 24 Nicolae Ghimbovschi 2009-03-26 16:37:34 EDT
(In reply to comment #22)
> Could somebody do the following?
> 
> 1) yum install NetworkManager-debuginfo glib-debuginfo dbus-glib-debuginfo
> 2) gdb /usr/sbin/NetworkManager
> 3) r --no-daemon
> 4) start the vmware service and make NM crash
> 
> and then when NM does crash in GDB, run "backtrace" and post the results here? 
> Thanks!  

# gdb /usr/sbin/NetworkManager
GNU gdb Fedora (6.8-29.fc10)
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu"...

warning: the debug information found in "/usr/lib/debug//usr/sbin/NetworkManager.debug" does not match "/usr/sbin/NetworkManager" (CRC mismatch).


warning: the debug information found in "/usr/lib/debug/usr/sbin/NetworkManager.debug" does not match "/usr/sbin/NetworkManager" (CRC mismatch).

(no debugging symbols found)
Missing separate debuginfos, use: debuginfo-install NetworkManager-0.7.0.99-4.git20090324.fc10.x86_64
(gdb) r --no-daemon
Starting program: /usr/sbin/NetworkManager --no-daemon
[Thread debugging using libthread_db enabled]
NetworkManager: <info>  starting...
-- Error received: File exists
-- Original message: type=0x14 length=56 flags=<REQUEST,ACK,ATOMIC> sequence-nr=1238099646 pid=4203667
NetworkManager: <WARN>  nm_generic_enable_loopback(): error -17 returned from rtnl_addr_add():
Sucess

NetworkManager: <info>  Found radio killswitch /org/freedesktop/Hal/devices/pci_8086_4232_rfkill_5100AGN_wlan
NetworkManager: <info>  (eth0): new Ethernet device (driver: 'r8169')
NetworkManager: <info>  (eth0): exported as /org/freedesktop/Hal/devices/net_00_23_54_10_48_23
NetworkManager: <info>  (wlan0): driver supports SSID scans (scan_capa 0x01).
NetworkManager: <info>  (wlan0): new 802.11 WiFi device (driver: 'iwlagn')
NetworkManager: <info>  (wlan0): exported as /org/freedesktop/Hal/devices/net_00_21_5d_0d_0b_14
NetworkManager: <WARN>  killswitch_getpower_reply(): Error getting killswitch power: Method "GetPower" with signature "" on interface "org.freedesktop.Hal.Device.KillSwitch" doesn't exist
.
NetworkManager: <info>  (eth0): device state change: 1 -> 2
NetworkManager: <info>  (eth0): bringing up device.
NetworkManager: <info>  (eth0): preparing device.
NetworkManager: <info>  (eth0): deactivating device (reason: 2).
NetworkManager: <info>  (wlan0): device state change: 1 -> 2
NetworkManager: <info>  (wlan0): bringing up device.
NetworkManager: <info>  (wlan0): preparing device.
NetworkManager: <info>  (wlan0): deactivating device (reason: 2).
NetworkManager: <info>  (wlan0): device state change: 2 -> 3
NetworkManager: <info>  (wlan0): supplicant interface state:  starting -> ready
NetworkManager: <info>  Activation (wlan0) starting connection 'Auto linux4ever'
NetworkManager: <info>  (wlan0): device state change: 3 -> 4
NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) scheduled...
NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) started...
NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) scheduled...
NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) complete.
NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) starting...
NetworkManager: <info>  (wlan0): device state change: 4 -> 5
NetworkManager: <info>  Activation (wlan0/wireless): access point 'Auto linux4ever' has security, but secrets are required.
NetworkManager: <info>  (wlan0): device state change: 5 -> 6
NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) complete.
NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) scheduled...
NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) started...
NetworkManager: <info>  (wlan0): device state change: 6 -> 4
NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) scheduled...
NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) complete.
NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) starting...
NetworkManager: <info>  (wlan0): device state change: 4 -> 5
NetworkManager: <info>  Activation (wlan0/wireless): connection 'Auto linux4ever' has security, and secrets exist.  No new secrets needed.
NetworkManager: <info>  Config: added 'ssid' value 'linux4ever'
NetworkManager: <info>  Config: added 'scan_ssid' value '1'
NetworkManager: <info>  Config: added 'key_mgmt' value 'WPA-PSK'
NetworkManager: <info>  Config: added 'psk' value '<omitted>'
NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) complete.
NetworkManager: <info>  (wlan0): supplicant connection state:  scanning -> disconnected
NetworkManager: <info>  Config: set interface ap_scan to 1
NetworkManager: <info>  (wlan0): supplicant connection state:  disconnected -> scanning
[New Thread 0x7ffff7da67e0 (LWP 9363)]

Program received signal SIGSEGV, Segmentation fault.
0x0000000000428d87 in ?? ()
(gdb) backtrace

#0  0x0000000000428d87 in ?? ()
#1  0x0000000000432173 in ?? ()
#2  0x00000035d160b7dd in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#3  0x00000035d16214bd in ?? () from /lib64/libgobject-2.0.so.0
#4  0x00000035d1622b68 in g_signal_emit_valist () from /lib64/libgobject-2.0.so.0
#5  0x00000035d1623093 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#6  0x0000000000426ac3 in ?? ()
#7  0x0000003af7e0bd29 in ?? () from /usr/lib64/libhal.so.1
#8  0x0000003a9f00ef7b in dbus_connection_dispatch () from /lib64/libdbus-1.so.3
#9  0x00000035d5009765 in message_queue_dispatch (source=<value optimized out>, callback=<value optimized out>, 
    user_data=<value optimized out>) at dbus-gmain.c:101
#10 0x0000003fd7c3779b in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#11 0x0000003fd7c3af6d in ?? () from /lib64/libglib-2.0.so.0
#12 0x0000003fd7c3b49d in g_main_loop_run () from /lib64/libglib-2.0.so.0
#13 0x000000000042b6ff in main ()
Comment 25 vaxon 2009-03-26 16:43:16 EDT
Same problem here on an x86_64:
here's the log:
Mar 26 23:21:01 black NetworkManager: <info>  starting...
Mar 26 23:21:01 black NetworkManager: <WARN>  nm_generic_enable_loopback(): error -17 returned from rtnl_addr_add():#012Sucess#012
Mar 26 23:21:01 black NetworkManager: <WARN>  nm_signal_handler(): Caught signal 11.  Generating backtrace...
Mar 26 23:21:01 black NetworkManager: ******************* START **********************************
Mar 26 23:21:01 black NetworkManager: #033[?1034h(no debugging symbols found)
Mar 26 23:21:01 black NetworkManager: (no debugging symbols found)
Mar 26 23:21:01 black NetworkManager: (no debugging symbols found)
Mar 26 23:21:01 black NetworkManager: (no debugging symbols found)
Mar 26 23:21:01 black NetworkManager: (no debugging symbols found)
Mar 26 23:21:01 black NetworkManager: (no debugging symbols found)
Mar 26 23:21:01 black NetworkManager: (no debugging symbols found)
Mar 26 23:21:01 black NetworkManager: (no debugging symbols found)
Mar 26 23:21:01 black NetworkManager: (no debugging symbols found)
Mar 26 23:21:01 black NetworkManager: (no debugging symbols found)
Mar 26 23:21:01 black NetworkManager: (no debugging symbols found)
Mar 26 23:21:01 black NetworkManager: (no debugging symbols found)
Mar 26 23:21:01 black NetworkManager: (no debugging symbols found)
Mar 26 23:21:01 black NetworkManager: (no debugging symbols found)
Mar 26 23:21:01 black NetworkManager: (no debugging symbols found)
Mar 26 23:21:01 black NetworkManager: (no debugging symbols found)
Mar 26 23:21:01 black NetworkManager: (no debugging symbols found)
Mar 26 23:21:01 black NetworkManager: (no debugging symbols found)
Mar 26 23:21:01 black NetworkManager: (no debugging symbols found)
Mar 26 23:21:01 black NetworkManager: (no debugging symbols found)
Mar 26 23:21:01 black NetworkManager: [Thread debugging using libthread_db enabled]
Mar 26 23:21:01 black NetworkManager: [New Thread 0x7f484e2c27e0 (LWP 7096)]
Mar 26 23:21:01 black NetworkManager: (no debugging symbols found)
Mar 26 23:21:01 black NetworkManager: (no debugging symbols found)
Mar 26 23:21:01 black NetworkManager: (no debugging symbols found)
Mar 26 23:21:01 black NetworkManager: (no debugging symbols found)
Mar 26 23:21:01 black NetworkManager: (no debugging symbols found)
Mar 26 23:21:01 black NetworkManager: (no debugging symbols found)
Mar 26 23:21:01 black NetworkManager: (no debugging symbols found)
Mar 26 23:21:01 black NetworkManager: (no debugging symbols found)
Mar 26 23:21:01 black NetworkManager: 0x000000302b00ebf5 in waitpid () from /lib64/libpthread.so.0
Mar 26 23:21:01 black NetworkManager: #0  0x000000302b00ebf5 in waitpid () from /lib64/libpthread.so.0
Mar 26 23:21:01 black NetworkManager: #1  0x0000000000430133 in nm_logging_backtrace ()
Mar 26 23:21:01 black NetworkManager: #2  0x000000000042af90 in ?? ()
Mar 26 23:21:01 black NetworkManager: #3  <signal handler called>
Mar 26 23:21:01 black NetworkManager: #4  0x0000000000428d87 in ?? ()
Mar 26 23:21:01 black NetworkManager: #5  0x0000000000432173 in ?? ()
Mar 26 23:21:01 black NetworkManager: #6  0x000000303280b7dd in g_closure_invoke () from /lib64/libgobject-2.0.so.0
Mar 26 23:21:01 black NetworkManager: #7  0x00000030328214bd in ?? () from /lib64/libgobject-2.0.so.0
Mar 26 23:21:01 black NetworkManager: #8  0x0000003032822b68 in g_signal_emit_valist ()
Mar 26 23:21:01 black NetworkManager:    from /lib64/libgobject-2.0.so.0
Mar 26 23:21:01 black NetworkManager: #9  0x0000003032823093 in g_signal_emit () from /lib64/libgobject-2.0.so.0
Mar 26 23:21:01 black NetworkManager: #10 0x0000000000426ac3 in ?? ()
Mar 26 23:21:01 black NetworkManager: #11 0x00000000004273b9 in nm_hal_manager_query_devices ()
Mar 26 23:21:01 black NetworkManager: #12 0x00000000004326b6 in ?? ()
Mar 26 23:21:01 black NetworkManager: #13 0x000000302d43779b in g_main_context_dispatch ()
Mar 26 23:21:01 black NetworkManager:    from /lib64/libglib-2.0.so.0
Mar 26 23:21:01 black NetworkManager: #14 0x000000302d43af6d in ?? () from /lib64/libglib-2.0.so.0
Mar 26 23:21:01 black NetworkManager: #15 0x000000302d43b49d in g_main_loop_run () from /lib64/libglib-2.0.so.0
Mar 26 23:21:01 black NetworkManager: #16 0x000000000042b6ff in main ()
Mar 26 23:21:01 black NetworkManager: 
Mar 26 23:21:01 black NetworkManager: Thread 1 (Thread 0x7f484e2c27e0 (LWP 7096)):
Mar 26 23:21:01 black NetworkManager: #0  0x000000302b00ebf5 in waitpid () from /lib64/libpthread.so.0
Mar 26 23:21:01 black NetworkManager: No symbol table info available.
Mar 26 23:21:01 black NetworkManager: #1  0x0000000000430133 in nm_logging_backtrace ()
Mar 26 23:21:01 black NetworkManager: No symbol table info available.
Mar 26 23:21:01 black NetworkManager: #2  0x000000000042af90 in ?? ()
Mar 26 23:21:01 black NetworkManager: No symbol table info available.
Mar 26 23:21:01 black NetworkManager: #3  <signal handler called>
Mar 26 23:21:01 black NetworkManager: No symbol table info available.
Mar 26 23:21:01 black NetworkManager: #4  0x0000000000428d87 in ?? ()
Mar 26 23:21:01 black NetworkManager: No symbol table info available.
Mar 26 23:21:01 black NetworkManager: #5  0x0000000000432173 in ?? ()
Mar 26 23:21:01 black NetworkManager: No symbol table info available.
Mar 26 23:21:01 black NetworkManager: #6  0x000000303280b7dd in g_closure_invoke () from /lib64/libgobject-2.0.so.0
Mar 26 23:21:01 black NetworkManager: No symbol table info available.
Mar 26 23:21:01 black NetworkManager: #7  0x00000030328214bd in ?? () from /lib64/libgobject-2.0.so.0
Mar 26 23:21:01 black NetworkManager: No symbol table info available.
Mar 26 23:21:01 black NetworkManager: #8  0x0000003032822b68 in g_signal_emit_valist ()
Mar 26 23:21:01 black NetworkManager:    from /lib64/libgobject-2.0.so.0
Mar 26 23:21:01 black NetworkManager: No symbol table info available.
Mar 26 23:21:01 black NetworkManager: #9  0x0000003032823093 in g_signal_emit () from /lib64/libgobject-2.0.so.0
Mar 26 23:21:01 black NetworkManager: No symbol table info available.
Mar 26 23:21:01 black NetworkManager: #10 0x0000000000426ac3 in ?? ()
Mar 26 23:21:01 black NetworkManager: No symbol table info available.
Mar 26 23:21:01 black NetworkManager: #11 0x00000000004273b9 in nm_hal_manager_query_devices ()
Mar 26 23:21:01 black NetworkManager: No symbol table info available.
Mar 26 23:21:01 black NetworkManager: #12 0x00000000004326b6 in ?? ()
Mar 26 23:21:01 black NetworkManager: No symbol table info available.
Mar 26 23:21:01 black NetworkManager: #13 0x000000302d43779b in g_main_context_dispatch ()
Mar 26 23:21:01 black NetworkManager:    from /lib64/libglib-2.0.so.0
Mar 26 23:21:01 black NetworkManager: No symbol table info available.
Mar 26 23:21:01 black NetworkManager: #14 0x000000302d43af6d in ?? () from /lib64/libglib-2.0.so.0
Mar 26 23:21:01 black NetworkManager: No symbol table info available.
Mar 26 23:21:01 black NetworkManager: #15 0x000000302d43b49d in g_main_loop_run () from /lib64/libglib-2.0.so.0
Mar 26 23:21:01 black NetworkManager: No symbol table info available.
Mar 26 23:21:01 black NetworkManager: #16 0x000000000042b6ff in main ()
Mar 26 23:21:01 black NetworkManager: No symbol table info available.
Mar 26 23:21:01 black NetworkManager: The program is running.  Quit anyway (and detach it)? (y or n) [answered Y; input not from terminal]
Mar 26 23:21:01 black NetworkManager: ******************* END **********************************

Thanks,
Vax.
Comment 26 Nicolae Ghimbovschi 2009-03-26 16:52:33 EDT
(In reply to comment #24)
> (In reply to comment #22)
> > Could somebody do the following?
> > 
> > 1) yum install NetworkManager-debuginfo glib-debuginfo dbus-glib-debuginfo
> > 2) gdb /usr/sbin/NetworkManager
> > 3) r --no-daemon
> > 4) start the vmware service and make NM crash
> > 
> > and then when NM does crash in GDB, run "backtrace" and post the results here? 
> > Thanks!  

1) started vmware
2) started NM in gdb

 gdb /usr/sbin/NetworkManager
GNU gdb Fedora (6.8-29.fc10)
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu"...
(gdb) r --no-daemon
Starting program: /usr/sbin/NetworkManager --no-daemon
[Thread debugging using libthread_db enabled]
NetworkManager: <info>  starting...
-- Error received: File exists
-- Original message: type=0x14 length=56 flags=<REQUEST,ACK,ATOMIC> sequence-nr=1238100598 pid=4209401
NetworkManager: <WARN>  nm_generic_enable_loopback(): error -17 returned from rtnl_addr_add():
Sucess

NetworkManager: <info>  Found radio killswitch /org/freedesktop/Hal/devices/pci_8086_4232_rfkill_5100AGN_wlan
[New Thread 0x7ffff7fc37e0 (LWP 15097)]

Program received signal SIGSEGV, Segmentation fault.
0x0000000000428d87 in wired_device_creator (self=<value optimized out>, udi=0x687760 "/org/freedesktop/Hal/devices/net_00_50_56_c0_00_08", 
    origdev_udi=0x687d40 "/org/freedesktop/Hal/devices/computer", managed=1) at nm-hal-manager.c:207
207		if (!strcmp (driver, "cdc_ether")) {
(gdb) backtrace
#0  0x0000000000428d87 in wired_device_creator (self=<value optimized out>, udi=0x687760 "/org/freedesktop/Hal/devices/net_00_50_56_c0_00_08", 
    origdev_udi=0x687d40 "/org/freedesktop/Hal/devices/computer", managed=1) at nm-hal-manager.c:207
#1  0x0000000000432173 in hal_manager_udi_added_cb (hal_mgr=0x688830, udi=0x687760 "/org/freedesktop/Hal/devices/net_00_50_56_c0_00_08", 
    originating_device=0x687d40 "/org/freedesktop/Hal/devices/computer", general_type_ptr=0x688670, creator_fn=0x428d10 <wired_device_creator>, 
    user_data=0x686010) at nm-manager.c:1707
#2  0x00000035d160b7dd in IA__g_closure_invoke (closure=0x689560, return_value=0x0, n_param_values=5, param_values=0x68f040, invocation_hint=0x7fffffffce40)
    at gclosure.c:767
#3  0x00000035d16214bd in signal_emit_unlocked_R (node=0x687fb0, detail=0, instance=0x688830, emission_return=0x0, instance_and_params=0x68f040)
    at gsignal.c:3244
#4  0x00000035d1622b68 in IA__g_signal_emit_valist (instance=0x688830, signal_id=<value optimized out>, detail=0, var_args=0x7fffffffd020) at gsignal.c:2977
#5  0x00000035d1623093 in IA__g_signal_emit (instance=0x457c94, signal_id=0, detail=4049671160) at gsignal.c:3034
#6  0x0000000000426ac3 in emit_udi_added (self=0x688830, udi=0x6895e0 "/org/freedesktop/Hal/devices/net_00_50_56_c0_00_08", creator=0x67d6c0)
    at nm-hal-manager.c:1058
#7  0x00000000004273b9 in add_initial_devices () at nm-hal-manager.c:1137
#8  nm_hal_manager_query_devices (self=0x688830) at nm-hal-manager.c:1454
#9  0x00000000004326b6 in deferred_sync_devices (user_data=<value optimized out>) at nm-manager.c:1491
#10 0x0000003fd7c3779b in g_main_dispatch () at gmain.c:2144
#11 IA__g_main_context_dispatch (context=0x67c880) at gmain.c:2697
#12 0x0000003fd7c3af6d in g_main_context_iterate (context=0x67c880, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2778
#13 0x0000003fd7c3b49d in IA__g_main_loop_run (loop=0x678d40) at gmain.c:2986
#14 0x000000000042b6ff in main (argc=1, argv=0x7fffffffe608) at NetworkManager.c:396
Comment 27 Nicolae Ghimbovschi 2009-03-26 16:55:58 EDT
This bug occurs only when NM is started after vmware. If NM is started first and then vmware, everything is ok. 

(In reply to comment #26)
> (In reply to comment #24)
> > (In reply to comment #22)
> > > Could somebody do the following?
> > > 
> > > 1) yum install NetworkManager-debuginfo glib-debuginfo dbus-glib-debuginfo
> > > 2) gdb /usr/sbin/NetworkManager
> > > 3) r --no-daemon
> > > 4) start the vmware service and make NM crash
> > > 
> > > and then when NM does crash in GDB, run "backtrace" and post the results here? 
> > > Thanks!  
> 
> 1) started vmware
> 2) started NM in gdb
> 
>  gdb /usr/sbin/NetworkManager
> GNU gdb Fedora (6.8-29.fc10)
> Copyright (C) 2008 Free Software Foundation, Inc.
> License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
> This is free software: you are free to change and redistribute it.
> There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
> and "show warranty" for details.
> This GDB was configured as "x86_64-redhat-linux-gnu"...
> (gdb) r --no-daemon
> Starting program: /usr/sbin/NetworkManager --no-daemon
> [Thread debugging using libthread_db enabled]
> NetworkManager: <info>  starting...
> -- Error received: File exists
> -- Original message: type=0x14 length=56 flags=<REQUEST,ACK,ATOMIC>
> sequence-nr=1238100598 pid=4209401
> NetworkManager: <WARN>  nm_generic_enable_loopback(): error -17 returned from
> rtnl_addr_add():
> Sucess
> 
> NetworkManager: <info>  Found radio killswitch
> /org/freedesktop/Hal/devices/pci_8086_4232_rfkill_5100AGN_wlan
> [New Thread 0x7ffff7fc37e0 (LWP 15097)]
> 
> Program received signal SIGSEGV, Segmentation fault.
> 0x0000000000428d87 in wired_device_creator (self=<value optimized out>,
> udi=0x687760 "/org/freedesktop/Hal/devices/net_00_50_56_c0_00_08", 
>     origdev_udi=0x687d40 "/org/freedesktop/Hal/devices/computer", managed=1) at
> nm-hal-manager.c:207
> 207  if (!strcmp (driver, "cdc_ether")) {
> (gdb) backtrace
> #0  0x0000000000428d87 in wired_device_creator (self=<value optimized out>,
> udi=0x687760 "/org/freedesktop/Hal/devices/net_00_50_56_c0_00_08", 
>     origdev_udi=0x687d40 "/org/freedesktop/Hal/devices/computer", managed=1) at
> nm-hal-manager.c:207
> #1  0x0000000000432173 in hal_manager_udi_added_cb (hal_mgr=0x688830,
> udi=0x687760 "/org/freedesktop/Hal/devices/net_00_50_56_c0_00_08", 
>     originating_device=0x687d40 "/org/freedesktop/Hal/devices/computer",
> general_type_ptr=0x688670, creator_fn=0x428d10 <wired_device_creator>, 
>     user_data=0x686010) at nm-manager.c:1707
> #2  0x00000035d160b7dd in IA__g_closure_invoke (closure=0x689560,
> return_value=0x0, n_param_values=5, param_values=0x68f040,
> invocation_hint=0x7fffffffce40)
>     at gclosure.c:767
> #3  0x00000035d16214bd in signal_emit_unlocked_R (node=0x687fb0, detail=0,
> instance=0x688830, emission_return=0x0, instance_and_params=0x68f040)
>     at gsignal.c:3244
> #4  0x00000035d1622b68 in IA__g_signal_emit_valist (instance=0x688830,
> signal_id=<value optimized out>, detail=0, var_args=0x7fffffffd020) at
> gsignal.c:2977
> #5  0x00000035d1623093 in IA__g_signal_emit (instance=0x457c94, signal_id=0,
> detail=4049671160) at gsignal.c:3034
> #6  0x0000000000426ac3 in emit_udi_added (self=0x688830, udi=0x6895e0
> "/org/freedesktop/Hal/devices/net_00_50_56_c0_00_08", creator=0x67d6c0)
>     at nm-hal-manager.c:1058
> #7  0x00000000004273b9 in add_initial_devices () at nm-hal-manager.c:1137
> #8  nm_hal_manager_query_devices (self=0x688830) at nm-hal-manager.c:1454
> #9  0x00000000004326b6 in deferred_sync_devices (user_data=<value optimized
> out>) at nm-manager.c:1491
> #10 0x0000003fd7c3779b in g_main_dispatch () at gmain.c:2144
> #11 IA__g_main_context_dispatch (context=0x67c880) at gmain.c:2697
> #12 0x0000003fd7c3af6d in g_main_context_iterate (context=0x67c880, block=1,
> dispatch=1, self=<value optimized out>) at gmain.c:2778
> #13 0x0000003fd7c3b49d in IA__g_main_loop_run (loop=0x678d40) at gmain.c:2986
> #14 0x000000000042b6ff in main (argc=1, argv=0x7fffffffe608) at
> NetworkManager.c:396
Comment 28 Thomas M Steenholdt 2009-03-26 17:27:35 EDT
Here, starting VMware after NM still causes NM to crash...
Comment 29 Dan Williams 2009-03-26 17:35:57 EDT
Couldn't trigger on F9 with the Cisco VPN client.  However, the backtrace was very helpful (thanks!) and I'm building packages that should fix the problem here:

rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=1260227
f10: http://koji.fedoraproject.org/koji/taskinfo?taskID=1260229

Please test and let me know if they fix/don't fix the issue.
Comment 30 Schtroumpf grognon 2009-03-26 17:40:59 EDT
Having the same problem. Had to stop the "vpnclient_init" service and reboot to have NM working again.
Comment 31 Denis Leroy 2009-03-26 17:52:29 EDT
Dan, NM crash is caused by NM looking at the wrong HAL device *only when VMWare
is running* :

nm-hal-manager.c:202

with VMWare running, it uses HAL udi "/org/freedesktop/Hal/devices/computer"
(and doesn't find info.linux.driver => crash)

without VMWare running, it uses the udi
"/org/freedesktop/Hal/devices/pci_8086_1049" which works on my T61.

hope this helps.
Comment 32 Fedora Update System 2009-03-26 18:04:37 EDT
NetworkManager-0.7.0.99-5.git20090326.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/NetworkManager-0.7.0.99-5.git20090326.fc10
Comment 33 Fedora Update System 2009-03-26 18:04:42 EDT
NetworkManager-0.7.0.99-5.git20090326.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/NetworkManager-0.7.0.99-5.git20090326.fc9
Comment 34 Kelvin J. Hill 2009-03-26 18:15:24 EDT
Please don't get fixated on VMWare... It also happens when the Cisco VPN client drivers are loaded as shown in my attachment. I suspect it may also happen when other network interface registering software is started. Comment 19 implicates a Bluetooth interface if I have understood the trace correctly.
Comment 35 Kelvin J. Hill 2009-03-26 18:29:07 EDT
My initial tests with the updated NetworkManager-0.7.0.99-5.git20090326.fc10 version seem to be better. 

I have both stopped and restarted Cisco VPN and VMWare drivers with no ill effects on NetworkManager.  

Definately a step forwards. Many thanks!!
Comment 36 Thomas M Steenholdt 2009-03-26 19:50:46 EDT
NetworkManager-0.7.0.99-5.git20090326.fc10 seems to have solved the vmware problem here.... Thanks :)
Comment 37 Juan Saavedra 2009-03-26 21:58:36 EDT
The update works perfect!! Thanks!!
8D
Comment 38 Joachim Backes 2009-03-27 02:28:27 EDT
(In reply to comment #31)
> Dan, NM crash is caused by NM looking at the wrong HAL device *only when VMWare
> is running* :

Not on my box. I had the same problem (until downgrading), but I don't 
run vmware.

> 
> nm-hal-manager.c:202
> 
> with VMWare running, it uses HAL udi "/org/freedesktop/Hal/devices/computer"
> (and doesn't find info.linux.driver => crash)
> 
> without VMWare running, it uses the udi
> "/org/freedesktop/Hal/devices/pci_8086_1049" which works on my T61.
> 
> hope this helps.
Comment 39 Schtroumpf grognon 2009-03-27 03:45:45 EDT
The update also seems to have solved the problem with the CISCO VPN client. Thanks
Comment 40 Dirk Schlüter 2009-03-27 04:05:51 EDT
The update solve my problem on Fedora 10, NetworkManager works again, even my openvpn connections. And yes, i've VMware services installed. 

# rpm -qa|grep NetworkManager
NetworkManager-glib-0.7.0.99-5.git20090326.fc10.i386
NetworkManager-gnome-0.7.0.99-5.git20090326.fc10.i386
NetworkManager-openvpn-0.7.0.99-1.fc10.i386
NetworkManager-0.7.0.99-5.git20090326.fc10.i386

Thanks to all who worked on this fast fix.
Comment 41 Joachim Backes 2009-03-27 04:17:43 EDT
(In reply to comment #40)
> The update solve my problem on Fedora 10, NetworkManager works again, even my
> openvpn connections. And yes, i've VMware services installed. 
> 
> # rpm -qa|grep NetworkManager
> NetworkManager-glib-0.7.0.99-5.git20090326.fc10.i386
> NetworkManager-gnome-0.7.0.99-5.git20090326.fc10.i386
> NetworkManager-openvpn-0.7.0.99-1.fc10.i386
> NetworkManager-0.7.0.99-5.git20090326.fc10.i386
> 
> Thanks to all who worked on this fast fix.  

Works for me too (without an installed vmware).
Comment 42 Ben Fleckenstein 2009-03-27 04:51:40 EDT
Same here. Running Fedora 10 32bit. After the upgrade yesterday the Networkmanager won't start any more. After stopping vmware I can start the Networkmanager. Downgrading as mentioned helps also to run NetworkManager and VMware at the same time.
Comment 43 Joachim Backes 2009-03-27 04:57:03 EDT
(In reply to comment #41)
> (In reply to comment #40)
> > The update solve my problem on Fedora 10, NetworkManager works again, even my
> > openvpn connections. And yes, i've VMware services installed. 
> > 
> > # rpm -qa|grep NetworkManager
> > NetworkManager-glib-0.7.0.99-5.git20090326.fc10.i386
> > NetworkManager-gnome-0.7.0.99-5.git20090326.fc10.i386
> > NetworkManager-openvpn-0.7.0.99-1.fc10.i386
> > NetworkManager-0.7.0.99-5.git20090326.fc10.i386
> > 
> > Thanks to all who worked on this fast fix.  
> 
> Works for me too (without an installed vmware).  

I regret to add one exception: I have installed nxclient-3.3.0-6 from nomachine.com, and since installing the above rpms, nxclient won't start (it hangs without displaying the connection window). I guess, this has to do with  NetworkManager-gnome-0.7.0.99-5.git20090326.fc10.i386.
Comment 44 Dan Williams 2009-03-27 07:35:04 EDT
(In reply to comment #43)
> (In reply to comment #41)
> > (In reply to comment #40)
> > > The update solve my problem on Fedora 10, NetworkManager works again, even my
> > > openvpn connections. And yes, i've VMware services installed. 
> > > 
> > > # rpm -qa|grep NetworkManager
> > > NetworkManager-glib-0.7.0.99-5.git20090326.fc10.i386
> > > NetworkManager-gnome-0.7.0.99-5.git20090326.fc10.i386
> > > NetworkManager-openvpn-0.7.0.99-1.fc10.i386
> > > NetworkManager-0.7.0.99-5.git20090326.fc10.i386
> > > 
> > > Thanks to all who worked on this fast fix.  
> > 
> > Works for me too (without an installed vmware).  
> 
> I regret to add one exception: I have installed nxclient-3.3.0-6 from
> nomachine.com, and since installing the above rpms, nxclient won't start (it
> hangs without displaying the connection window). I guess, this has to do with 
> NetworkManager-gnome-0.7.0.99-5.git20090326.fc10.i386.  

This could be due to hostnames or something else; can your run nxclient under strace like "strace nxclient" and grab some output for where strace is spinning doing nothing?
Comment 45 Adam 2009-03-27 07:57:31 EDT
I am running straight Fedora 10 install, no VMWare, no VPN, etc. and Network Manager is broken for me too, as in when I booted my machine after the update I had no network connectivity at all; tts a bit difficult to go on-line to look for a fix when you can't connect! 

Eventually I did deselect NM control for my wired connection and manage to get back on-line and I appreciate that adopting Fedora does does mean being on the leading edge of Linux development and its great that there appears to be a fix but this update really really should never ever have ever been released. Network connectivity is about as basic a feature as you can get - if M$ had done something like this they would have be quite rightly panned. 

Is anyone looking at how this update was (or was not) QA'd and how it can be prevented from happening again? Linux on the desktop can never progress with this level of uncertainty.
Comment 46 Joachim Backes 2009-03-27 08:02:30 EDT
(In reply to comment #44)
> (In reply to comment #43)
> > (In reply to comment #41)
> > > (In reply to comment #40)
> > > > The update solve my problem on Fedora 10, NetworkManager works again, even my
> > > > openvpn connections. And yes, i've VMware services installed. 
> > > > 
> > > > # rpm -qa|grep NetworkManager
> > > > NetworkManager-glib-0.7.0.99-5.git20090326.fc10.i386
> > > > NetworkManager-gnome-0.7.0.99-5.git20090326.fc10.i386
> > > > NetworkManager-openvpn-0.7.0.99-1.fc10.i386
> > > > NetworkManager-0.7.0.99-5.git20090326.fc10.i386
> > > > 
> > > > Thanks to all who worked on this fast fix.  
> > > 
> > > Works for me too (without an installed vmware).  
> > 
> > I regret to add one exception: I have installed nxclient-3.3.0-6 from
> > nomachine.com, and since installing the above rpms, nxclient won't start (it
> > hangs without displaying the connection window). I guess, this has to do with 
> > NetworkManager-gnome-0.7.0.99-5.git20090326.fc10.i386.  
> 
> This could be due to hostnames or something else; can your run nxclient under
> strace like "strace nxclient" and grab some output for where strace is spinning
> doing nothing?  
Second try: I downgraded again to the official f10 NetworkManager, removed all
installed NetworkManager* rpms, then installed only

NetworkManager-0.7.0.99-5.git20090326.fc10.i386.rpm
NetworkManager-glib-0.7.0.99-5.git20090326.fc10.i386.rpm
NetworkManager-gnome-0.7.0.99-5.git20090326.fc10.i386.rpm
(no NetworkManager*debug* rpms)

and got rid from the nxclient problem. It seems to have disappeared: no more
need for strace.
Comment 47 Kelvin J. Hill 2009-03-27 09:48:46 EDT
Opera (opera-9.64.gcc4-shared-qt3.i386.rpm) no longer functions after the update on my 2 Fedora10 systems. It will run as root, but not as a non-priv user. 

(In reply to comment #43)
> (In reply to comment #41)
> > (In reply to comment #40)
> > > The update solve my problem on Fedora 10, NetworkManager works again, even my
> > > openvpn connections. And yes, i've VMware services installed. 
> > > 
> > > # rpm -qa|grep NetworkManager
> > > NetworkManager-glib-0.7.0.99-5.git20090326.fc10.i386
> > > NetworkManager-gnome-0.7.0.99-5.git20090326.fc10.i386
> > > NetworkManager-openvpn-0.7.0.99-1.fc10.i386
> > > NetworkManager-0.7.0.99-5.git20090326.fc10.i386
> > > 
> > > Thanks to all who worked on this fast fix.  
> > 
> > Works for me too (without an installed vmware).  
> 
> I regret to add one exception: I have installed nxclient-3.3.0-6 from
> nomachine.com, and since installing the above rpms, nxclient won't start (it
> hangs without displaying the connection window). I guess, this has to do with 
> NetworkManager-gnome-0.7.0.99-5.git20090326.fc10.i386.  

I assume that you have not fallen foul of the libX11 update problem? That caused a number of X11 applications to hang on startup. Easy way to check is to see if "xterm" runs correctly. If it doesn't, check for the bad libX11 1.1.5.1. Fixed by libX11 1.1.5.2.
Comment 48 Kelvin J. Hill 2009-03-27 09:52:39 EDT
Ignore the bit about Opera... that was in my reply buffer for some reason. That was related to the libX11 bug.   Sorry.
Comment 49 James Cassell 2009-03-27 09:55:46 EDT
(In reply to comment #47)
> Opera (opera-9.64.gcc4-shared-qt3.i386.rpm) no longer functions after the
> update on my 2 Fedora10 systems. It will run as root, but not as a non-priv
> user. 
> 

I actually noticed this, but hadn't attributed it to NetworkManager (Opera has always been slightly flakey on Fedora.)  You can get it to work as follows (it's a workaround):
start opera
killall -9 opera
start opera again; second time it works

I don't think opera knows about networkManager.  It always is unable to reach the web when switching from ethernet->wireless, for example, until some time later (like 20 mins or so)
Comment 50 James Cassell 2009-03-27 09:56:10 EDT
(In reply to comment #47)
> Opera (opera-9.64.gcc4-shared-qt3.i386.rpm) no longer functions after the
> update on my 2 Fedora10 systems. It will run as root, but not as a non-priv
> user. 
> 

I actually noticed this, but hadn't attributed it to NetworkManager (Opera has always been slightly flakey on Fedora.)  You can get it to work as follows (it's a workaround):
start opera
killall -9 opera
start opera again; second time it works

I don't think opera knows about networkManager.  It always is unable to reach the web when switching from ethernet->wireless, for example, until some time later (like 20 mins or so)
Comment 51 Fedora Update System 2009-03-27 10:50:07 EDT
NetworkManager-0.7.0.99-5.git20090326.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 52 yunus 2009-03-27 11:50:02 EDT
*** Bug 492538 has been marked as a duplicate of this bug. ***
Comment 53 yunus 2009-03-27 11:58:12 EDT
*** Bug 492493 has been marked as a duplicate of this bug. ***
Comment 54 Dan Williams 2009-03-27 12:01:44 EDT
(In reply to comment #50)
> (In reply to comment #47)
> > Opera (opera-9.64.gcc4-shared-qt3.i386.rpm) no longer functions after the
> > update on my 2 Fedora10 systems. It will run as root, but not as a non-priv
> > user. 
> > 
> 
> I actually noticed this, but hadn't attributed it to NetworkManager (Opera has
> always been slightly flakey on Fedora.)  You can get it to work as follows
> (it's a workaround):
> start opera
> killall -9 opera
> start opera again; second time it works
> 
> I don't think opera knows about networkManager.  It always is unable to reach
> the web when switching from ethernet->wireless, for example, until some time
> later (like 20 mins or so)  

Does opera handle changing nameservers?  If you switch, /etc/resolv.conf will get updated, but applications need to implement logic to detect changes to resolv.conf and call glibc's _res_init().  Mozilla calls _res_init() every time you load a page to ensure it's got the latest nameservers.

Yes, glibc should probably handle this internally, but the glibc people want systems to use local caching nameservers or lwresd instead of adding this logic to glibc directly.
Comment 55 yunus 2009-03-27 12:03:19 EDT
*** Bug 492514 has been marked as a duplicate of this bug. ***
Comment 56 yunus 2009-03-27 12:09:12 EDT
*** Bug 492508 has been marked as a duplicate of this bug. ***
Comment 57 Dan Williams 2009-03-27 12:11:12 EDT
(In reply to comment #45)
> Is anyone looking at how this update was (or was not) QA'd and how it can be
> prevented from happening again? Linux on the desktop can never progress with
> this level of uncertainty.  

To be perfectly honest, both of the modules that people are having trouble with (Cisco VPN and vmware's vmxnet) are out-of-tree modules, and in the case of Cisco VPN, proprietary binary.  Neither are shipped with Fedora because they are either binary-only, or not part of the upstream kernel.  Fedora cannot necessarily guarantee compatibility with software that is not shipped by Fedora.  What we can do is to fix the problems as quickly as possible when users who choose to use this software report them.
Comment 58 yunus 2009-03-27 12:12:38 EDT
*** Bug 492559 has been marked as a duplicate of this bug. ***
Comment 59 Joshua Rosen 2009-03-27 15:13:56 EDT
The 99-5 versions fixed the problem for me also. Thanks for the timely fix but this shouldn't have happened in the first place. There needs to be a better QA process, it's understandable if there are small bugs introduced in a distro like Fedora but it's not acceptable to completely break something as important as NetworkManager. Last year tcsh was broken by a careless release. In that case everything involved was a core component of Fedora.

At the very least there needs to be a simple backout mechanism that will allow you to restore a previous state of the system.
Comment 60 Dan Williams 2009-03-27 15:30:06 EDT
*** Bug 492620 has been marked as a duplicate of this bug. ***
Comment 61 Dan Williams 2009-03-27 15:37:36 EDT
(In reply to comment #59)
> The 99-5 versions fixed the problem for me also. Thanks for the timely fix but
> this shouldn't have happened in the first place. There needs to be a better QA
> process, it's understandable if there are small bugs introduced in a distro
> like Fedora but it's not acceptable to completely break something as important
> as NetworkManager. Last year tcsh was broken by a careless release. In that
> case everything involved was a core component of Fedora.

No argument about tcsh, but that's not what happened here...

It's not possible (or often worth the time required) to test with every random non-Fedora / out-of-tree kernel module out there.  If the bug was actually in one of those non-Fedora / out-of-tree modules, the bug could not be fixed.  Even if the bug was in an out-of-tree but open-source module like vmxnet, Fedora couldn't update vmxnet after fixing the bug, since it's not shipped with Fedora.
Comment 62 Dirk Schlüter 2009-03-27 16:00:12 EDT
Dan, you are right, I agree to you. But an "update revert function" or a yum package archiv to downgrade would be very nice in this rare cases. For now i think i set up a local fedora mirror. ;-)

Again, thank you for your good and fast job on this bug. :-)
Comment 63 jedblack 2009-03-27 16:13:16 EDT
ok the update works, thanks so much Dan!

I just did a "yum update NetworkManager" - logoff/login , all is working now -- even with VMWare Workstation 6.5 running.
Comment 64 Kevin DeKorte 2009-03-27 16:17:07 EDT
(In reply to comment #62)
> Dan, you are right, I agree to you. But an "update revert function" or a yum
> package archiv to downgrade would be very nice in this rare cases. For now i
> think i set up a local fedora mirror. ;-)
> 
> Again, thank you for your good and fast job on this bug. :-)  

Dirk,

I found the older versions in koji, so it is not a bad place to look for builds.

http://koji.fedoraproject.org/koji/

Kevin
Comment 65 Fedora Update System 2009-04-08 23:03:51 EDT
NetworkManager-0.7.0.100-2.git20090408.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/NetworkManager-0.7.0.100-2.git20090408.fc9
Comment 66 Joshua Rosen 2009-04-09 00:09:52 EDT
I'm suspecting another problem caused by NetworkManager. Since I installed 99-5 in F10 I've had a problem where the mouse get's into a state where it can't select anything. The cursor moves and the keyboard works but the mouse appears to have been captured by something. I disabled NetworkManager and the problem seems to have gone away. Is it possible that the NetworkManager applet is capturing the mouse? I've reported this as an Xorg bug but there seems to be a strong correlation with NetworkManager although I admit it seem strange that NetworkManager would cause a mouse problem.
Comment 67 Dan Williams 2009-04-09 09:46:59 EDT
(In reply to comment #66)
> I'm suspecting another problem caused by NetworkManager. Since I installed 99-5
> in F10 I've had a problem where the mouse get's into a state where it can't
> select anything. The cursor moves and the keyboard works but the mouse appears
> to have been captured by something. I disabled NetworkManager and the problem
> seems to have gone away. Is it possible that the NetworkManager applet is
> capturing the mouse? I've reported this as an Xorg bug but there seems to be a
> strong correlation with NetworkManager although I admit it seem strange that
> NetworkManager would cause a mouse problem.  

This could be hostname related.  Have you set a hostname for your machine at install time?  Check /etc/sysconfig/network for "HOSTNAME=xxxxx".  If there isn't anything there, then the hostname of your machine follows whatever the DHCP server or reverse-lookup returns, and X should deal with that correctly, but may not be.  Let me know.
Comment 68 Joshua Rosen 2009-04-09 09:49:49 EDT
Here is my /etc/sysconfig/network file

NETWORKING=yes
HOSTNAME=hornet
Comment 69 Fedora Update System 2009-04-14 21:23:17 EDT
NetworkManager-0.7.1-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/NetworkManager-0.7.1-1.fc9
Comment 70 Fedora Update System 2009-05-12 00:06:32 EDT
NetworkManager-0.7.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.